## qt-x11-free 3.1.1+cvs.20021220-0woody1-jp2

=== doc/Makefile ===
#############################################################################
# Qt Makefile - doc
#############################################################################
# 

showfiles showsources:
	@echo *.doc

clean:
	-rm -f *~ *% #*

obj include depend:

=== qt-build-dir/examples/Makefile ===
#############################################################################
# Makefile for building: examples
# Generated by qmake (1.04a) (Qt 3.1.1) on: Sat Feb  8 18:30:19 2003
# Project:  ../../examples/examples.pro
# Template: subdirs
# Command: $(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../examples/examples.pro
#############################################################################

MAKEFILE =	Makefile
QMAKE    =	qmake
DEL_FILE =    rm -f
SUBTARGETS =	 \
		sub-aclock \
		sub-action \
		sub-action-toggleaction \
		sub-addressbook \
		sub-application \
		sub-buttongroups \
		sub-checklists \
		sub-cursor \
		sub-customlayout \
		sub-dclock \
		sub-demo \
		sub-dirview \
		sub-dragdrop \
		sub-drawdemo \
		sub-drawlines \
		sub-extension \
		sub-fonts \
		sub-forever \
		sub-gridview \
		sub-hello \
		sub-helpviewer \
		sub-i18n \
		sub-layout \
		sub-life \
		sub-lineedits \
		sub-listboxcombo \
		sub-listbox \
		sub-listviews \
		sub-menu \
		sub-movies \
		sub-picture \
		sub-popup \
		sub-process \
		sub-progress \
		sub-progressbar \
		sub-qdir \
		sub-qfd \
		sub-qmag \
		sub-qtl \
		sub-qwerty \
		sub-rangecontrols \
		sub-richtext \
		sub-rot13 \
		sub-scribble \
		sub-scrollview \
		sub-showimg \
		sub-splitter \
		sub-tabdialog \
		sub-tetrix \
		sub-textedit \
		sub-themes \
		sub-tictac \
		sub-tooltip \
		sub-tux \
		sub-widgets \
		sub-wizard \
		sub-xform \
		sub-canvas \
		sub-chart \
		sub-fileiconview \
		sub-iconview \
		sub-iconview-simple_dd \
		sub-network-clientserver-client \
		sub-network-clientserver-server \
		sub-network-ftpclient \
		sub-network-httpd \
		sub-network-infoprotocol-infoclient \
		sub-network-infoprotocol-infoserver \
		sub-network-infoprotocol-infourlclient \
		sub-network-mail \
		sub-network-networkprotocol \
		sub-network-remotecontrol \
		sub-mdi \
		sub-table-statistics \
		sub-table-small-table-demo \
		sub-table-bigtable \
		sub-sql \
		sub-xml-outliner \
		sub-xml-tagreader \
		sub-xml-tagreader-with-features

first: all

all: Makefile $(SUBTARGETS)

aclock/$(MAKEFILE): 
	cd aclock && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-aclock: aclock/$(MAKEFILE) FORCE
	cd aclock && $(MAKE) -f $(MAKEFILE)

action/$(MAKEFILE): 
	cd action && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-action: action/$(MAKEFILE) FORCE
	cd action && $(MAKE) -f $(MAKEFILE)

action/toggleaction/$(MAKEFILE): 
	cd action/toggleaction && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-action-toggleaction: action/toggleaction/$(MAKEFILE) FORCE
	cd action/toggleaction && $(MAKE) -f $(MAKEFILE)

addressbook/$(MAKEFILE): 
	cd addressbook && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-addressbook: addressbook/$(MAKEFILE) FORCE
	cd addressbook && $(MAKE) -f $(MAKEFILE)

application/$(MAKEFILE): 
	cd application && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-application: application/$(MAKEFILE) FORCE
	cd application && $(MAKE) -f $(MAKEFILE)

buttongroups/$(MAKEFILE): 
	cd buttongroups && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-buttongroups: buttongroups/$(MAKEFILE) FORCE
	cd buttongroups && $(MAKE) -f $(MAKEFILE)

checklists/$(MAKEFILE): 
	cd checklists && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-checklists: checklists/$(MAKEFILE) FORCE
	cd checklists && $(MAKE) -f $(MAKEFILE)

cursor/$(MAKEFILE): 
	cd cursor && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-cursor: cursor/$(MAKEFILE) FORCE
	cd cursor && $(MAKE) -f $(MAKEFILE)

customlayout/$(MAKEFILE): 
	cd customlayout && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-customlayout: customlayout/$(MAKEFILE) FORCE
	cd customlayout && $(MAKE) -f $(MAKEFILE)

dclock/$(MAKEFILE): 
	cd dclock && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-dclock: dclock/$(MAKEFILE) FORCE
	cd dclock && $(MAKE) -f $(MAKEFILE)

demo/$(MAKEFILE): 
	cd demo && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-demo: demo/$(MAKEFILE) FORCE
	cd demo && $(MAKE) -f $(MAKEFILE)

dirview/$(MAKEFILE): 
	cd dirview && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-dirview: dirview/$(MAKEFILE) FORCE
	cd dirview && $(MAKE) -f $(MAKEFILE)

dragdrop/$(MAKEFILE): 
	cd dragdrop && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-dragdrop: dragdrop/$(MAKEFILE) FORCE
	cd dragdrop && $(MAKE) -f $(MAKEFILE)

drawdemo/$(MAKEFILE): 
	cd drawdemo && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-drawdemo: drawdemo/$(MAKEFILE) FORCE
	cd drawdemo && $(MAKE) -f $(MAKEFILE)

drawlines/$(MAKEFILE): 
	cd drawlines && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-drawlines: drawlines/$(MAKEFILE) FORCE
	cd drawlines && $(MAKE) -f $(MAKEFILE)

extension/$(MAKEFILE): 
	cd extension && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-extension: extension/$(MAKEFILE) FORCE
	cd extension && $(MAKE) -f $(MAKEFILE)

fonts/$(MAKEFILE): 
	cd fonts && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-fonts: fonts/$(MAKEFILE) FORCE
	cd fonts && $(MAKE) -f $(MAKEFILE)

forever/$(MAKEFILE): 
	cd forever && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-forever: forever/$(MAKEFILE) FORCE
	cd forever && $(MAKE) -f $(MAKEFILE)

gridview/$(MAKEFILE): 
	cd gridview && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-gridview: gridview/$(MAKEFILE) FORCE
	cd gridview && $(MAKE) -f $(MAKEFILE)

hello/$(MAKEFILE): 
	cd hello && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-hello: hello/$(MAKEFILE) FORCE
	cd hello && $(MAKE) -f $(MAKEFILE)

helpviewer/$(MAKEFILE): 
	cd helpviewer && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-helpviewer: helpviewer/$(MAKEFILE) FORCE
	cd helpviewer && $(MAKE) -f $(MAKEFILE)

i18n/$(MAKEFILE): 
	cd i18n && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-i18n: i18n/$(MAKEFILE) FORCE
	cd i18n && $(MAKE) -f $(MAKEFILE)

layout/$(MAKEFILE): 
	cd layout && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-layout: layout/$(MAKEFILE) FORCE
	cd layout && $(MAKE) -f $(MAKEFILE)

life/$(MAKEFILE): 
	cd life && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-life: life/$(MAKEFILE) FORCE
	cd life && $(MAKE) -f $(MAKEFILE)

lineedits/$(MAKEFILE): 
	cd lineedits && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-lineedits: lineedits/$(MAKEFILE) FORCE
	cd lineedits && $(MAKE) -f $(MAKEFILE)

listboxcombo/$(MAKEFILE): 
	cd listboxcombo && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-listboxcombo: listboxcombo/$(MAKEFILE) FORCE
	cd listboxcombo && $(MAKE) -f $(MAKEFILE)

listbox/$(MAKEFILE): 
	cd listbox && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-listbox: listbox/$(MAKEFILE) FORCE
	cd listbox && $(MAKE) -f $(MAKEFILE)

listviews/$(MAKEFILE): 
	cd listviews && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-listviews: listviews/$(MAKEFILE) FORCE
	cd listviews && $(MAKE) -f $(MAKEFILE)

menu/$(MAKEFILE): 
	cd menu && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-menu: menu/$(MAKEFILE) FORCE
	cd menu && $(MAKE) -f $(MAKEFILE)

movies/$(MAKEFILE): 
	cd movies && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-movies: movies/$(MAKEFILE) FORCE
	cd movies && $(MAKE) -f $(MAKEFILE)

picture/$(MAKEFILE): 
	cd picture && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-picture: picture/$(MAKEFILE) FORCE
	cd picture && $(MAKE) -f $(MAKEFILE)

popup/$(MAKEFILE): 
	cd popup && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-popup: popup/$(MAKEFILE) FORCE
	cd popup && $(MAKE) -f $(MAKEFILE)

process/$(MAKEFILE): 
	cd process && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-process: process/$(MAKEFILE) FORCE
	cd process && $(MAKE) -f $(MAKEFILE)

progress/$(MAKEFILE): 
	cd progress && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-progress: progress/$(MAKEFILE) FORCE
	cd progress && $(MAKE) -f $(MAKEFILE)

progressbar/$(MAKEFILE): 
	cd progressbar && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-progressbar: progressbar/$(MAKEFILE) FORCE
	cd progressbar && $(MAKE) -f $(MAKEFILE)

qdir/$(MAKEFILE): 
	cd qdir && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-qdir: qdir/$(MAKEFILE) FORCE
	cd qdir && $(MAKE) -f $(MAKEFILE)

qfd/$(MAKEFILE): 
	cd qfd && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-qfd: qfd/$(MAKEFILE) FORCE
	cd qfd && $(MAKE) -f $(MAKEFILE)

qmag/$(MAKEFILE): 
	cd qmag && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-qmag: qmag/$(MAKEFILE) FORCE
	cd qmag && $(MAKE) -f $(MAKEFILE)

qtl/$(MAKEFILE): 
	cd qtl && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-qtl: qtl/$(MAKEFILE) FORCE
	cd qtl && $(MAKE) -f $(MAKEFILE)

qwerty/$(MAKEFILE): 
	cd qwerty && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-qwerty: qwerty/$(MAKEFILE) FORCE
	cd qwerty && $(MAKE) -f $(MAKEFILE)

rangecontrols/$(MAKEFILE): 
	cd rangecontrols && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-rangecontrols: rangecontrols/$(MAKEFILE) FORCE
	cd rangecontrols && $(MAKE) -f $(MAKEFILE)

richtext/$(MAKEFILE): 
	cd richtext && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-richtext: richtext/$(MAKEFILE) FORCE
	cd richtext && $(MAKE) -f $(MAKEFILE)

rot13/$(MAKEFILE): 
	cd rot13 && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-rot13: rot13/$(MAKEFILE) FORCE
	cd rot13 && $(MAKE) -f $(MAKEFILE)

scribble/$(MAKEFILE): 
	cd scribble && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-scribble: scribble/$(MAKEFILE) FORCE
	cd scribble && $(MAKE) -f $(MAKEFILE)

scrollview/$(MAKEFILE): 
	cd scrollview && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-scrollview: scrollview/$(MAKEFILE) FORCE
	cd scrollview && $(MAKE) -f $(MAKEFILE)

showimg/$(MAKEFILE): 
	cd showimg && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-showimg: showimg/$(MAKEFILE) FORCE

=== qt-build-dir/extensions/Makefile ===
#############################################################################
# Makefile for building: extensions
# Generated by qmake (1.04a) (Qt 3.1.1) on: Sat Feb  8 18:30:20 2003
# Project:  ../../extensions/extensions.pro
# Template: subdirs
# Command: $(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../extensions/extensions.pro
#############################################################################

MAKEFILE =	Makefile
QMAKE    =	qmake
DEL_FILE =    rm -f
SUBTARGETS =	

first: all

all: Makefile $(SUBTARGETS)

Makefile: ../../extensions/extensions.pro ../.qmake.cache /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++/qmake.conf 
	$(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../extensions/extensions.pro
qmake: qmake_all
	@$(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../extensions/extensions.pro

all qmake_all distclean install uiclean mocclean lexclean yaccclean clean: FORCE
FORCE:

=== qt-build-dir/qmake/Makefile ===
########################################################################
## This file was autogenerated by configure, all changes will be lost ##
########################################################################
CC		= gcc
CXX		= g++

#qmake code
OBJS=project.o main.o makefile.o unixmake2.o unixmake.o borland_bmake.o \
     msvc_nmake.o msvc_dsp.o msvc_vcproj.o option.o winmakefile.o \
     projectgenerator.o metrowerks_xml.o  pbuilder_pbx.o msvc_objectmodel.o

#qt code
QOBJS=qstring.o qtextstream.o qiodevice.o qglobal.o qgdict.o qcstring.o \
      qdatastream.o qgarray.o qbuffer.o qglist.o qptrcollection.o qfile.o \
      qfile_unix.o qregexp.o qgvector.o qgcache.o qbitarray.o qdir.o quuid.o \
      qfileinfo_unix.o qdir_unix.o qfileinfo.o qdatetime.o qstringlist.o qmap.o \
      qconfig.o

CFLAGS=  \
	-I. -Igenerators -Igenerators/unix -Igenerators/win32 -Igenerators/mac \
	-I/home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/include/qmake -I/home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/include -I/home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/include \
	-DQT_NO_TEXTCODEC -DQT_NO_UNICODETABLES -DQT_LITE_COMPONENT -DQT_NO_STL \
	-DQT_NO_COMPRESS -I/home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++
CXXFLAGS= $(CFLAGS)
LFLAGS=

qmake: $(OBJS) $(QOBJS)
	$(CXX) -o $@ $(OBJS) $(QOBJS) $(LFLAGS)
	rm -f /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/$@
	ln -s ../qmake/$@ /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/$@

install: qmake
	[ -d $(INSTALL_ROOT)/usr/bin ] || mkdir -p $(INSTALL_ROOT)/usr/bin
	-cp -f /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/qmake $(INSTALL_ROOT)/usr/bin
	[ -d $(INSTALL_ROOT)/usr/share/qt ] || mkdir -p $(INSTALL_ROOT)/usr/share/qt
	-cp -r -f /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs $(INSTALL_ROOT)/usr/share/qt

clean::
	rm -f $(OBJS) $(QOBJS)

distclean:: clean
	rm -rf qmake .deps

# don't use optimization for these
qtextstream.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qtextstream.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qtextstream.cpp

qiodevice.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qiodevice.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qiodevice.cpp

qglobal.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qglobal.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qglobal.cpp

qgdict.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qgdict.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qgdict.cpp

qcstring.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qcstring.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qcstring.cpp

qstring.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qstring.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qstring.cpp

qdatastream.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qdatastream.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qdatastream.cpp

qgarray.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qgarray.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qgarray.cpp

qbuffer.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qbuffer.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qbuffer.cpp

qglist.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qglist.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qglist.cpp

qptrcollection.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qptrcollection.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qptrcollection.cpp

qfile.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qfile.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qfile.cpp

qfile_unix.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qfile_unix.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qfile_unix.cpp

qregexp.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qregexp.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qregexp.cpp

qgvector.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qgvector.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qgvector.cpp

qgcache.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qgcache.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qgcache.cpp

qbitarray.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qbitarray.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qbitarray.cpp

qdir.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qdir.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qdir.cpp

quuid.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/quuid.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/quuid.cpp

qfileinfo_unix.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qfileinfo_unix.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qfileinfo_unix.cpp

qdir_unix.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qdir_unix.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qdir_unix.cpp

qfileinfo.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qfileinfo.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qfileinfo.cpp

qdatetime.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qdatetime.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qdatetime.cpp

qstringlist.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qstringlist.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qstringlist.cpp

qmap.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qmap.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/src/tools/qmap.cpp

qconfig.o: /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/src/tools/qconfig.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/src/tools/qconfig.cpp

winmakefile.o: generators/win32/winmakefile.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) generators/win32/winmakefile.cpp

project.o: project.cpp project.h option.h
	$(CXX) -c -o $@ $(CXXFLAGS) project.cpp

main.o: main.cpp project.h
	$(CXX) -c -o $@ $(CXXFLAGS) main.cpp

option.o: option.cpp option.h
	$(CXX) -c -o $@ $(CXXFLAGS) option.cpp

makefile.o: generators/makefile.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) generators/makefile.cpp

unixmake.o: generators/unix/unixmake.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) generators/unix/unixmake.cpp

unixmake2.o: generators/unix/unixmake2.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) generators/unix/unixmake2.cpp

borland_bmake.o: generators/win32/borland_bmake.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) generators/win32/borland_bmake.cpp

msvc_objectmodel.o: generators/win32/msvc_objectmodel.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) generators/win32/msvc_objectmodel.cpp

msvc_vcproj.o: generators/win32/msvc_vcproj.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) generators/win32/msvc_vcproj.cpp

msvc_nmake.o: generators/win32/msvc_nmake.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) generators/win32/msvc_nmake.cpp

metrowerks_xml.o: generators/mac/metrowerks_xml.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) generators/mac/metrowerks_xml.cpp

pbuilder_pbx.o: generators/mac/pbuilder_pbx.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) generators/mac/pbuilder_pbx.cpp

msvc_dsp.o: generators/win32/msvc_dsp.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) generators/win32/msvc_dsp.cpp

projectgenerator.o: generators/projectgenerator.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) generators/projectgenerator.cpp

#default rules
.c.o:
	$(CC) -c -o $@ $(CFLAGS) $<

.cpp.o:
	$(CXX) -c -o $@ $(CXXFLAGS) $<

=== qt-build-dir/src/Makefile ===
#############################################################################
# Makefile for building: libqt.a
# Generated by qmake (1.04a) (Qt 3.1.1) on: Sat Feb  8 18:30:13 2003
# Project:  ../../src/qt.pro
# Template: lib
# Command: $(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../src/qt.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = byacc
CFLAGS   = -pipe -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -fno-exceptions -I/usr/include/mysql -I/usr/include/postgresql -I/usr/include/postgresql/server -Wall -W -O2 -DQT_NO_DEBUG -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DQT_NAS_SUPPORT -DQT_SQL_POSTGRES -DQT_SQL_MYSQL -DQT_SQL_ODBC -DQT_BUILTIN_GIF_READER=1 -DQT_NO_STYLE_MAC -DQT_NO_STYLE_AQUA -DQT_NO_STYLE_INTERLACE -DQT_NO_STYLE_WINDOWSXP
CXXFLAGS = -pipe -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -fno-exceptions -I/usr/include/mysql -I/usr/include/postgresql -I/usr/include/postgresql/server -Wall -W -O2 -DQT_NO_DEBUG -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DQT_NAS_SUPPORT -DQT_SQL_POSTGRES -DQT_SQL_MYSQL -DQT_SQL_ODBC -DQT_BUILTIN_GIF_READER=1 -DQT_NO_STYLE_MAC -DQT_NO_STYLE_AQUA -DQT_NO_STYLE_INTERLACE -DQT_NO_STYLE_WINDOWSXP
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -I../../src -I/usr/include/freetype2 -I../include -I../../include -I/usr/X11R6/include -I. -I.moc/release-static/
AR       = ar cqs
RANLIB   = 
MOC      = /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/moc
UIC      = /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/uic -L /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/plugins
QMAKE    = /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY) -p
COPY_DIR = $(COPY) -pR
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/release-static/

####### Files

HEADERS = ../../src/kernel/qabstractlayout.h \
		../../src/kernel/qaccel.h \
		../../src/kernel/qucomextra_p.h \
		../../src/kernel/qapplication.h \
		../../src/kernel/qapplication_p.h \
		../../src/kernel/qasyncimageio.h \
		../../src/kernel/qasyncio.h \
		../../src/kernel/qbitmap.h \
		../../src/kernel/qbrush.h \
		../../src/kernel/qclipboard.h \
		../../src/kernel/qcolor.h \
		../../src/kernel/qcolor_p.h \
		../../src/kernel/qcomplextext_p.h \
		../../src/kernel/qconnection.h \
		../../src/kernel/qcursor.h \
		../../src/kernel/qdesktopwidget.h \
		../../src/kernel/qdragobject.h \
		../../src/kernel/qdrawutil.h \
		../../src/kernel/qdropsite.h \
		../../src/kernel/qevent.h \
		../../src/kernel/qeventloop.h \
		../../src/kernel/qeventloop_p.h \
		../../src/kernel/qfocusdata.h \
		../../src/kernel/qfont.h \
		../../src/kernel/qfontdata_p.h \
		../../src/kernel/qfontinfo.h \
		../../src/kernel/qfontmetrics.h \
		../../src/kernel/qguardedptr.h \
		../../src/kernel/qgif.h \
		../../src/kernel/qiconset.h \
		../../src/kernel/qimage.h \
		../../src/kernel/qimageformatinterface_p.h \
		../../src/kernel/qimageformatplugin.h \
		../../src/kernel/qinputcontext_p.h \
		../../src/kernel/qkeycode.h \
		../../src/kernel/qkeysequence.h \
		../../src/kernel/qlayout.h \
		../../src/kernel/qlayoutengine_p.h \
		../../src/kernel/qtranslator.h \
		../../src/kernel/qmetaobject.h \
		../../src/kernel/qmime.h \
		../../src/kernel/qmovie.h \
		../../src/kernel/qnamespace.h \
		../../src/kernel/qnetworkprotocol.h \
		../../src/kernel/qobject.h \
		../../src/kernel/qobjectcleanuphandler.h \
		../../src/kernel/qobjectdefs.h \
		../../src/kernel/qobjectdict.h \
		../../src/kernel/qobjectlist.h \
		../../src/kernel/qpaintdevice.h \
		../../src/kernel/qpaintdevicedefs.h \
		../../src/kernel/qpainter.h \
		../../src/kernel/qpainter_p.h \
		../../src/kernel/qpalette.h \
		../../src/kernel/qpaintdevicemetrics.h \
		../../src/kernel/qpen.h \
		../../src/kernel/qpicture.h \
		../../src/kernel/qpixmap.h \
		../../src/kernel/qpixmapcache.h \
		../../src/kernel/qpointarray.h \
		../../src/kernel/qpoint.h \
		../../src/kernel/qpolygonscanner.h \
		../../src/kernel/qprinter.h \
		../../src/kernel/qprocess.h \
		../../src/kernel/qrect.h \
		../../src/kernel/qregion.h \
		../../src/kernel/qsessionmanager.h \
		../../src/kernel/qsignal.h \
		../../src/kernel/qsignalmapper.h \
		../../src/kernel/qsignalslotimp.h \
		../../src/kernel/qsize.h \
		../../src/kernel/qsizegrip.h \
		../../src/kernel/qsizepolicy.h \
		../../src/kernel/qsocketnotifier.h \
		../../src/kernel/qsound.h \
		../../src/kernel/qstyle.h \
		../../src/kernel/qstylesheet.h \
		../../src/kernel/qthread.h \
		../../src/kernel/qtimer.h \
		../../src/kernel/qurl.h \
		../../src/kernel/qlocalfs.h \
		../../src/kernel/qurloperator.h \
		../../src/kernel/qurlinfo.h \
		../../src/kernel/qwidget.h \
		../../src/kernel/qwidgetintdict.h \
		../../src/kernel/qwidgetlist.h \
		../../src/kernel/qwindowdefs.h \
		../../src/kernel/qwmatrix.h \
		../../src/kernel/qvariant.h \
		../../src/kernel/qrichtext_p.h \
		../../src/kernel/qinternal_p.h \
		../../src/kernel/qgplugin.h \
		../../src/kernel/qsimplerichtext.h \
		../../src/kernel/qpsprinter_p.h \
		../../src/kernel/qfontdatabase.h \
		../../src/widgets/qbuttongroup.h \
		../../src/widgets/qbutton.h \
		../../src/widgets/qcheckbox.h \
		../../src/widgets/qcombobox.h \
		../../src/widgets/qwidgetresizehandler_p.h \
		../../src/widgets/qdial.h \
		../../src/widgets/qdockarea.h \
		../../src/widgets/qdockwindow.h \
		../../src/widgets/qframe.h \
		../../src/widgets/qgrid.h \
		../../src/widgets/qgridview.h \
		../../src/widgets/qgroupbox.h \
		../../src/widgets/qhbuttongroup.h \
		../../src/widgets/qheader.h \
		../../src/widgets/qhgroupbox.h \
		../../src/widgets/qhbox.h \
		../../src/widgets/qlabel.h \
		../../src/widgets/qlcdnumber.h \
		../../src/widgets/qlineedit.h \
		../../src/widgets/qlistbox.h \
		../../src/widgets/qlistview.h \
		../../src/widgets/qmainwindow.h \
		../../src/widgets/qmenubar.h \
		../../src/widgets/qmenudata.h \
		../../src/widgets/qmultilineedit.h \
		../../src/widgets/qpopupmenu.h \
		../../src/widgets/qprogressbar.h \
		../../src/widgets/qpushbutton.h \
		../../src/widgets/qradiobutton.h \
		../../src/widgets/qrangecontrol.h \
		../../src/widgets/qscrollbar.h \
		../../src/widgets/qscrollview.h \
		../../src/widgets/qslider.h \
		../../src/widgets/qspinbox.h \
		../../src/widgets/qsplitter.h \
		../../src/widgets/qstatusbar.h \
		../../src/widgets/qtabbar.h \
		../../src/widgets/qsyntaxhighlighter.h \
		../../src/widgets/qtabwidget.h \
		../../src/widgets/qtitlebar_p.h \
		../../src/widgets/qtoolbar.h \
		../../src/widgets/qtoolbutton.h \
		../../src/widgets/qtooltip.h \
		../../src/widgets/qvalidator.h \
		../../src/widgets/qvbox.h \
		../../src/widgets/qvbuttongroup.h \
		../../src/widgets/qvgroupbox.h \
		../../src/widgets/qwhatsthis.h \
		../../src/widgets/qwidgetstack.h \
		../../src/widgets/qaction.h \
		../../src/widgets/qdatetimeedit.h \
		../../src/widgets/qtextview.h \
		../../src/widgets/qtextbrowser.h \
		../../src/widgets/qtextedit.h \
		../../src/widgets/qwidgetinterface_p.h \
		../../src/widgets/qwidgetplugin.h \
		../../src/dialogs/qcolordialog.h \
		../../src/dialogs/qdialog.h \
		../../src/dialogs/qerrormessage.h \
		../../src/dialogs/qfiledialog.h \
		../../src/dialogs/qfontdialog.h \
		../../src/dialogs/qmessagebox.h \
		../../src/dialogs/qprogressdialog.h \
		../../src/dialogs/qsemimodal.h \
		../../src/dialogs/qtabdialog.h \
		../../src/dialogs/qwizard.h \
		../../src/dialogs/qinputdialog.h \
		../../src/dialogs/qprintdialog.h \
		../../src/iconview/qiconview.h \
		../../src/workspace/qworkspace.h \
		../../src/network/qdns.h \
		../../src/network/qftp.h \
		../../src/network/qhttp.h \
		../../src/network/qhostaddress.h \
		../../src/network/qnetwork.h \
		../../src/network/qserversocket.h \
		../../src/network/qsocket.h \
		../../src/network/qsocketdevice.h \
		../../src/canvas/qcanvas.h \
		../../src/table/qtable.h \
		../../src/xml/qxml.h \
		../../src/xml/qdom.h \
		../../src/xml/qsvgdevice_p.h \
		../../src/sql/qsql.h \
		../../src/sql/qsqlquery.h \
		../../src/sql/qsqldatabase.h \
		../../src/sql/qsqlfield.h \
		../../src/sql/qsqlrecord.h \
		../../src/sql/qsqlcursor.h \
		../../src/sql/qsqlform.h \
		../../src/sql/qeditorfactory.h \
		../../src/sql/qsqleditorfactory.h \
		../../src/sql/qsqldriver.h \
		../../src/sql/qsqldriverinterface_p.h \
		../../src/sql/qsqlextension_p.h \
		../../src/sql/qsqldriverplugin.h \
		../../src/sql/qsqlerror.h \
		../../src/sql/qsqlresult.h \
		../../src/sql/qsqlindex.h \
		../../src/sql/qsqlpropertymap.h \
		../../src/sql/qsqlmanager_p.h \
		../../src/sql/qdatatable.h \
		../../src/sql/qdataview.h \
		../../src/sql/qdatabrowser.h \
		../../src/sql/drivers/psql/qsql_psql.h \
		../../src/sql/drivers/mysql/qsql_mysql.h \
		../../src/sql/drivers/odbc/qsql_odbc.h \
		../../src/kernel/qmngio.h \
		../../src/kernel/qjpegio.h \
		../../src/kernel/qpngio.h \
		../../src/tools/qmemarray.h \
		../../src/tools/qasciicache.h \
		../../src/tools/qasciidict.h \
		../../src/tools/qbitarray.h \
		../../src/tools/qbuffer.h \
		../../src/tools/qcache.h \
		../../src/tools/qcleanuphandler.h \
		../../src/tools/qcomponentfactory_p.h \
		../../src/tools/qcomlibrary_p.h \
		../../src/tools/qcstring.h \
		../../src/tools/qdatastream.h \
		../../src/tools/qdatetime.h \
		../../src/tools/qdeepcopy.h \
		../../src/tools/qdict.h \
		../../src/tools/qdir.h \
		../../src/tools/qdir_p.h \
		../../src/tools/qfile.h \
		../../src/tools/qfiledefs_p.h \
		../../src/tools/qfileinfo.h \
		../../src/tools/qgarray.h \
		../../src/tools/qgcache.h \
		../../src/tools/qgdict.h \
		../../src/tools/qgeneric.h \
		../../src/tools/qglist.h \
		../../src/tools/qglobal.h \
		../../src/tools/qgpluginmanager_p.h \
		../../src/tools/qgvector.h \
		../../src/tools/qintcache.h \
		../../src/tools/qintdict.h \
		../../src/tools/qiodevice.h \
		../../src/tools/qlibrary.h \
		../../src/tools/qlibrary_p.h \
		../../src/tools/qptrlist.h \
		../../src/tools/qmap.h \
		../../src/tools/qmutex.h \
		../../src/tools/qmutex_p.h \
		../../src/tools/qmutexpool_p.h \
		../../src/tools/qpluginmanager_p.h \
		../../src/tools/qptrcollection.h \
		../../src/tools/qptrdict.h \
		../../src/tools/qptrqueue.h \
		../../src/tools/qregexp.h \
		../../src/tools/qsemaphore.h \
		../../src/tools/qsettings.h \
		../../src/tools/qsettings_p.h \
		../../src/tools/qshared.h \
		../../src/tools/qsortedlist.h \
		../../src/tools/qptrstack.h \
		../../src/tools/qstring.h \
		../../src/tools/qstringlist.h \
		../../src/tools/qstrlist.h \
		../../src/tools/qstrvec.h \
		../../src/tools/qtextstream.h \
		../../src/tools/qptrvector.h \
		../../src/tools/qvaluelist.h \
		../../src/tools/qvaluestack.h \
		../../src/tools/qvaluevector.h \
		../../src/tools/qwaitcondition.h \
		../../src/tools/qcom_p.h \
		../../src/tools/qucom_p.h \
		../../src/tools/quuid.h \
		../../src/codecs/qbig5codec.h \
		../../src/codecs/qeucjpcodec.h \
		../../src/codecs/qeuckrcodec.h \
		../../src/codecs/qgb18030codec.h \
		../../src/codecs/qjiscodec.h \
		../../src/codecs/qjpunicode.h \
		../../src/codecs/qrtlcodec.h \
		../../src/codecs/qsjiscodec.h \
		../../src/codecs/qtextcodec.h \
		../../src/codecs/qtsciicodec.h \
		../../src/codecs/qutfcodec.h \
		../../src/codecs/qtextcodecinterface_p.h \
		../../src/codecs/qtextcodecfactory.h \
		../../src/codecs/qtextcodecplugin.h \
		../../src/codecs/qfontcodecs_p.h \
		../../src/styles/qstylefactory.h \
		../../src/styles/qstyleinterface_p.h \
		../../src/styles/qstyleplugin.h \
		../../src/styles/qcommonstyle.h \
		../../src/styles/qcdestyle.h \
		../../src/styles/qmotifplusstyle.h \
		../../src/styles/qplatinumstyle.h \

=== qt-build-dir/tools/Makefile ===
#############################################################################
# Makefile for building: tools
# Generated by qmake (1.04a) (Qt 3.1.1) on: Sat Feb  8 18:30:22 2003
# Project:  ../../tools/tools.pro
# Template: subdirs
# Command: $(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../tools/tools.pro
#############################################################################

MAKEFILE =	Makefile
QMAKE    =	qmake
DEL_FILE =    rm -f
SUBTARGETS =	 \
		sub-assistant-lib \
		sub-designer \
		sub-assistant \
		sub-linguist \
		sub-qtconfig \
		sub-mergetr \
		sub-qconfig \
		sub-makeqpf \
		sub-msg2qm \
		sub-qembed

first: all

all: Makefile $(SUBTARGETS)

assistant/lib/$(MAKEFILE): 
	cd assistant/lib && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-assistant-lib: assistant/lib/$(MAKEFILE) FORCE
	cd assistant/lib && $(MAKE) -f $(MAKEFILE)

designer/$(MAKEFILE): 
	cd designer && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-designer: designer/$(MAKEFILE) FORCE
	cd designer && $(MAKE) -f $(MAKEFILE)

assistant/$(MAKEFILE): 
	cd assistant && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-assistant: assistant/$(MAKEFILE) FORCE
	cd assistant && $(MAKE) -f $(MAKEFILE)

linguist/$(MAKEFILE): 
	cd linguist && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-linguist: linguist/$(MAKEFILE) FORCE
	cd linguist && $(MAKE) -f $(MAKEFILE)

qtconfig/$(MAKEFILE): 
	cd qtconfig && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-qtconfig: qtconfig/$(MAKEFILE) FORCE
	cd qtconfig && $(MAKE) -f $(MAKEFILE)

mergetr/$(MAKEFILE): 
	cd mergetr && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-mergetr: mergetr/$(MAKEFILE) FORCE
	cd mergetr && $(MAKE) -f $(MAKEFILE)

qconfig/$(MAKEFILE): 
	cd qconfig && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-qconfig: qconfig/$(MAKEFILE) FORCE
	cd qconfig && $(MAKE) -f $(MAKEFILE)

makeqpf/$(MAKEFILE): 
	cd makeqpf && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-makeqpf: makeqpf/$(MAKEFILE) FORCE
	cd makeqpf && $(MAKE) -f $(MAKEFILE)

msg2qm/$(MAKEFILE): 
	cd msg2qm && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-msg2qm: msg2qm/$(MAKEFILE) FORCE
	cd msg2qm && $(MAKE) -f $(MAKEFILE)

qembed/$(MAKEFILE): 
	cd qembed && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-qembed: qembed/$(MAKEFILE) FORCE
	cd qembed && $(MAKE) -f $(MAKEFILE)

sub-designer: sub-assistant-lib
sub-assistant: sub-designer
sub-linguist: sub-assistant
sub-qtconfig: sub-linguist
sub-mergetr: sub-qtconfig
sub-qconfig: sub-mergetr
sub-makeqpf: sub-qconfig
sub-msg2qm: sub-makeqpf
sub-qembed: sub-msg2qm

Makefile: ../../tools/tools.pro ../.qmake.cache /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++/qmake.conf 
	$(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../tools/tools.pro
qmake: qmake_all
	@$(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../tools/tools.pro

all: $(SUBTARGETS)
qmake_all: assistant/lib/$(MAKEFILE) designer/$(MAKEFILE) assistant/$(MAKEFILE) linguist/$(MAKEFILE) qtconfig/$(MAKEFILE) mergetr/$(MAKEFILE) qconfig/$(MAKEFILE) makeqpf/$(MAKEFILE) msg2qm/$(MAKEFILE) qembed/$(MAKEFILE)
	 ( [ -d assistant/lib ] && cd assistant/lib ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d designer ] && cd designer ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d assistant ] && cd assistant ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d linguist ] && cd linguist ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d qtconfig ] && cd qtconfig ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d mergetr ] && cd mergetr ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d qconfig ] && cd qconfig ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d makeqpf ] && cd makeqpf ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d msg2qm ] && cd msg2qm ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d qembed ] && cd qembed ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
clean uninstall install uiclean mocclean lexclean yaccclean: qmake_all FORCE
	 ( [ -d assistant/lib ] && cd assistant/lib ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d designer ] && cd designer ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d assistant ] && cd assistant ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d linguist ] && cd linguist ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d qtconfig ] && cd qtconfig ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d mergetr ] && cd mergetr ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d qconfig ] && cd qconfig ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d makeqpf ] && cd makeqpf ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d msg2qm ] && cd msg2qm ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d qembed ] && cd qembed ; $(MAKE) -f $(MAKEFILE) $@; ) || true
distclean: qmake_all FORCE
	 ( [ -d assistant/lib ] && cd assistant/lib ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d designer ] && cd designer ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d assistant ] && cd assistant ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d linguist ] && cd linguist ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d qtconfig ] && cd qtconfig ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d mergetr ] && cd mergetr ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d qconfig ] && cd qconfig ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d makeqpf ] && cd makeqpf ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d msg2qm ] && cd msg2qm ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d qembed ] && cd qembed ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true

FORCE:

=== qt-build-dir/tutorial/Makefile ===
#############################################################################
# Makefile for building: tutorial
# Generated by qmake (1.04a) (Qt 3.1.1) on: Sat Feb  8 18:30:34 2003
# Project:  ../../tutorial/tutorial.pro
# Template: subdirs
# Command: $(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../tutorial/tutorial.pro
#############################################################################

MAKEFILE =	Makefile
QMAKE    =	qmake
DEL_FILE =    rm -f
SUBTARGETS =	 \
		sub-t1 \
		sub-t2 \
		sub-t3 \
		sub-t4 \
		sub-t5 \
		sub-t6 \
		sub-t7 \
		sub-t8 \
		sub-t9 \
		sub-t10 \
		sub-t11 \
		sub-t12 \
		sub-t13 \
		sub-t14

first: all

all: Makefile $(SUBTARGETS)

t1/$(MAKEFILE): 
	cd t1 && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-t1: t1/$(MAKEFILE) FORCE
	cd t1 && $(MAKE) -f $(MAKEFILE)

t2/$(MAKEFILE): 
	cd t2 && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-t2: t2/$(MAKEFILE) FORCE
	cd t2 && $(MAKE) -f $(MAKEFILE)

t3/$(MAKEFILE): 
	cd t3 && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-t3: t3/$(MAKEFILE) FORCE
	cd t3 && $(MAKE) -f $(MAKEFILE)

t4/$(MAKEFILE): 
	cd t4 && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-t4: t4/$(MAKEFILE) FORCE
	cd t4 && $(MAKE) -f $(MAKEFILE)

t5/$(MAKEFILE): 
	cd t5 && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-t5: t5/$(MAKEFILE) FORCE
	cd t5 && $(MAKE) -f $(MAKEFILE)

t6/$(MAKEFILE): 
	cd t6 && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-t6: t6/$(MAKEFILE) FORCE
	cd t6 && $(MAKE) -f $(MAKEFILE)

t7/$(MAKEFILE): 
	cd t7 && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-t7: t7/$(MAKEFILE) FORCE
	cd t7 && $(MAKE) -f $(MAKEFILE)

t8/$(MAKEFILE): 
	cd t8 && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-t8: t8/$(MAKEFILE) FORCE
	cd t8 && $(MAKE) -f $(MAKEFILE)

t9/$(MAKEFILE): 
	cd t9 && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-t9: t9/$(MAKEFILE) FORCE
	cd t9 && $(MAKE) -f $(MAKEFILE)

t10/$(MAKEFILE): 
	cd t10 && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-t10: t10/$(MAKEFILE) FORCE
	cd t10 && $(MAKE) -f $(MAKEFILE)

t11/$(MAKEFILE): 
	cd t11 && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-t11: t11/$(MAKEFILE) FORCE
	cd t11 && $(MAKE) -f $(MAKEFILE)

t12/$(MAKEFILE): 
	cd t12 && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-t12: t12/$(MAKEFILE) FORCE
	cd t12 && $(MAKE) -f $(MAKEFILE)

t13/$(MAKEFILE): 
	cd t13 && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-t13: t13/$(MAKEFILE) FORCE
	cd t13 && $(MAKE) -f $(MAKEFILE)

t14/$(MAKEFILE): 
	cd t14 && $(QMAKE)  -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o $(MAKEFILE)
sub-t14: t14/$(MAKEFILE) FORCE
	cd t14 && $(MAKE) -f $(MAKEFILE)

Makefile: ../../tutorial/tutorial.pro ../.qmake.cache /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++/qmake.conf 
	$(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../tutorial/tutorial.pro
qmake: qmake_all
	@$(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../tutorial/tutorial.pro

all: $(SUBTARGETS)
qmake_all: t1/$(MAKEFILE) t2/$(MAKEFILE) t3/$(MAKEFILE) t4/$(MAKEFILE) t5/$(MAKEFILE) t6/$(MAKEFILE) t7/$(MAKEFILE) t8/$(MAKEFILE) t9/$(MAKEFILE) t10/$(MAKEFILE) t11/$(MAKEFILE) t12/$(MAKEFILE) t13/$(MAKEFILE) t14/$(MAKEFILE)
	 ( [ -d t1 ] && cd t1 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d t2 ] && cd t2 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d t3 ] && cd t3 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d t4 ] && cd t4 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d t5 ] && cd t5 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d t6 ] && cd t6 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d t7 ] && cd t7 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d t8 ] && cd t8 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d t9 ] && cd t9 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d t10 ] && cd t10 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d t11 ] && cd t11 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d t12 ] && cd t12 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d t13 ] && cd t13 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d t14 ] && cd t14 ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
clean uninstall install uiclean mocclean lexclean yaccclean: qmake_all FORCE
	 ( [ -d t1 ] && cd t1 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d t2 ] && cd t2 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d t3 ] && cd t3 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d t4 ] && cd t4 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d t5 ] && cd t5 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d t6 ] && cd t6 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d t7 ] && cd t7 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d t8 ] && cd t8 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d t9 ] && cd t9 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d t10 ] && cd t10 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d t11 ] && cd t11 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d t12 ] && cd t12 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d t13 ] && cd t13 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d t14 ] && cd t14 ; $(MAKE) -f $(MAKEFILE) $@; ) || true
distclean: qmake_all FORCE
	 ( [ -d t1 ] && cd t1 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d t2 ] && cd t2 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d t3 ] && cd t3 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d t4 ] && cd t4 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d t5 ] && cd t5 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d t6 ] && cd t6 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d t7 ] && cd t7 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d t8 ] && cd t8 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d t9 ] && cd t9 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d t10 ] && cd t10 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d t11 ] && cd t11 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d t12 ] && cd t12 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d t13 ] && cd t13 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d t14 ] && cd t14 ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true

FORCE:

=== qt-build-dir/examples/aclock/Makefile ===
#############################################################################
# Makefile for building: aclock
# Generated by qmake (1.04a) (Qt 3.1.1) on: Sat Feb  8 18:30:36 2003
# Project:  ../../../examples/aclock/aclock.pro
# Template: app
# Command: $(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../../examples/aclock/aclock.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = byacc
CFLAGS   = -pipe -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -fno-exceptions -I/usr/include/mysql -I/usr/include/postgresql -I/usr/include/postgresql/server -Wall -W -O2  -DQT_NO_DEBUG
CXXFLAGS = -pipe -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -fno-exceptions -I/usr/include/mysql -I/usr/include/postgresql -I/usr/include/postgresql/server -Wall -W -O2  -DQT_NO_DEBUG
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -I../../../examples/aclock -I/usr/include/freetype2 -I../../include -I../../../include -I. -I.moc/release-static/
LINK     = g++
LFLAGS   = -fno-exceptions
LIBS     = $(SUBLIBS) -L/home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/lib -L/usr/X11R6/lib -lqt -L/usr/X11R6/lib -laudio -lXt -lpq -lmysqlclient -lodbc -lmng -ljpeg -lpng -lz -lXrender -lXinerama -lXft -lfreetype -lXext -lX11 -lm -lSM -lICE -ldl
AR       = ar cqs
RANLIB   = 
MOC      = /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/moc
UIC      = /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/uic -L /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/plugins
QMAKE    = /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY) -p
COPY_DIR = $(COPY) -pR
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/release-static/

####### Files

HEADERS = ../../../examples/aclock/aclock.h
SOURCES = ../../../examples/aclock/aclock.cpp \
		../../../examples/aclock/main.cpp
OBJECTS = .obj/release-static/aclock.o \
		.obj/release-static/main.o
FORMS = 
UICDECLS = 
UICIMPLS = 
SRCMOC   = .moc/release-static/moc_aclock.cpp
OBJMOC = .obj/release-static/moc_aclock.o
DIST	   = ../../../examples/aclock/aclock.pro
QMAKE_TARGET = aclock
DESTDIR  = 
TARGET   = aclock

first: all
####### Implicit rules

.SUFFIXES: .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

mocables: $(SRCMOC)

$(MOC): 
	( cd $(QTDIR)/src/moc ; $(MAKE) )

Makefile: ../../../examples/aclock/aclock.pro ../../.qmake.cache /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++/qmake.conf ../../lib/libqt.prl
	$(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../../examples/aclock/aclock.pro
qmake: 
	@$(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../../examples/aclock/aclock.pro

dist: 
	@mkdir -p ../../../examples/aclock/.obj/release-static/aclock && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) ../../../examples/aclock/.obj/release-static/aclock/ && ( cd `dirname ../../../examples/aclock/.obj/release-static/aclock` && $(TAR) aclock.tar aclock && $(GZIP) aclock.tar ) && $(MOVE) `dirname ../../../examples/aclock/.obj/release-static/aclock`/aclock.tar.gz . && $(DEL_FILE) -r ../../../examples/aclock/.obj/release-static/aclock

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:

yaccclean:
lexclean:
clean: mocclean
	-$(DEL_FILE) $(OBJECTS) 
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

.obj/release-static/aclock.o: ../../../examples/aclock/aclock.cpp ../../../examples/aclock/aclock.h \
		../../../include/qtimer.h \
		../../../include/qpainter.h \
		../../../include/qbitmap.h \
		../../../include/qwidget.h \
		../../../include/qdatetime.h \
		../../../include/qwindowdefs.h \
		../../../include/qobject.h \
		../../../include/qpaintdevice.h \
		../../../include/qpalette.h \
		../../../include/qfont.h \
		../../../include/qfontmetrics.h \
		../../../include/qfontinfo.h \
		../../../include/qsizepolicy.h \
		../../../include/qobjectdefs.h \
		../../../include/qstring.h \
		../../../include/qnamespace.h \
		../../../include/qglobal.h \
		../../../include/qconfig-minimal.h \
		../../../include/qconfig-small.h \
		../../../include/qconfig-medium.h \
		../../../include/qconfig-large.h \
		../../../include/qfeatures.h \
		../../../include/qcstring.h \
		../../../include/qmemarray.h \
		../../../include/qgarray.h \
		../../../include/qshared.h \
		../../../include/qevent.h \
		../../../include/qregion.h \
		../../../include/qmime.h \
		../../../include/qpair.h \
		../../../include/qrect.h \
		../../../include/qsize.h \
		../../../include/qpoint.h \
		../../../include/qmap.h \
		../../../include/qptrlist.h \
		../../../include/qdatastream.h \
		../../../include/qvaluelist.h \
		../../../include/qiodevice.h \
		../../../include/qtl.h \
		../../../include/qtextstream.h \
		../../../include/qglist.h \
		../../../include/qptrcollection.h \
		../../../include/qcolor.h \
		../../../include/qbrush.h \
		../../../include/qpen.h \
		../../../include/qpointarray.h \
		../../../include/qwmatrix.h \
		../../../include/qpixmap.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/release-static/aclock.o ../../../examples/aclock/aclock.cpp

.obj/release-static/main.o: ../../../examples/aclock/main.cpp ../../../examples/aclock/aclock.h \
		../../../include/qapplication.h \
		../../../include/qwidget.h \
		../../../include/qdatetime.h \
		../../../include/qwindowdefs.h \
		../../../include/qobject.h \
		../../../include/qpaintdevice.h \
		../../../include/qpalette.h \
		../../../include/qfont.h \
		../../../include/qfontmetrics.h \
		../../../include/qfontinfo.h \
		../../../include/qsizepolicy.h \
		../../../include/qobjectdefs.h \
		../../../include/qstring.h \
		../../../include/qnamespace.h \
		../../../include/qglobal.h \
		../../../include/qconfig-minimal.h \
		../../../include/qconfig-small.h \
		../../../include/qconfig-medium.h \
		../../../include/qconfig-large.h \
		../../../include/qfeatures.h \
		../../../include/qcstring.h \
		../../../include/qmemarray.h \
		../../../include/qgarray.h \
		../../../include/qshared.h \
		../../../include/qevent.h \
		../../../include/qregion.h \
		../../../include/qmime.h \
		../../../include/qpair.h \
		../../../include/qrect.h \
		../../../include/qsize.h \
		../../../include/qpoint.h \
		../../../include/qmap.h \
		../../../include/qptrlist.h \
		../../../include/qdatastream.h \
		../../../include/qvaluelist.h \
		../../../include/qiodevice.h \
		../../../include/qtl.h \
		../../../include/qtextstream.h \
		../../../include/qglist.h \
		../../../include/qptrcollection.h \
		../../../include/qcolor.h \
		../../../include/qbrush.h \
		../../../include/qdesktopwidget.h \
		../../../include/qasciidict.h \
		../../../include/qtranslator.h \
		../../../include/qstrlist.h \
		../../../include/qstringlist.h \
		../../../include/qgdict.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/release-static/main.o ../../../examples/aclock/main.cpp

.obj/release-static/moc_aclock.o: .moc/release-static/moc_aclock.cpp ../../../examples/aclock/aclock.h ../../../include/qwidget.h \
		../../../include/qdatetime.h \
		../../../include/qwindowdefs.h \
		../../../include/qobject.h \
		../../../include/qpaintdevice.h \
		../../../include/qpalette.h \
		../../../include/qfont.h \
		../../../include/qfontmetrics.h \
		../../../include/qfontinfo.h \
		../../../include/qsizepolicy.h \
		../../../include/qobjectdefs.h \
		../../../include/qstring.h \
		../../../include/qnamespace.h \
		../../../include/qglobal.h \
		../../../include/qconfig-minimal.h \
		../../../include/qconfig-small.h \
		../../../include/qconfig-medium.h \
		../../../include/qconfig-large.h \
		../../../include/qfeatures.h \
		../../../include/qcstring.h \
		../../../include/qmemarray.h \
		../../../include/qgarray.h \
		../../../include/qshared.h \
		../../../include/qevent.h \
		../../../include/qregion.h \
		../../../include/qmime.h \
		../../../include/qpair.h \
		../../../include/qrect.h \
		../../../include/qsize.h \
		../../../include/qpoint.h \
		../../../include/qmap.h \
		../../../include/qptrlist.h \
		../../../include/qdatastream.h \
		../../../include/qvaluelist.h \
		../../../include/qiodevice.h \
		../../../include/qtl.h \
		../../../include/qtextstream.h \
		../../../include/qglist.h \
		../../../include/qptrcollection.h \
		../../../include/qcolor.h \
		../../../include/qbrush.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/release-static/moc_aclock.o .moc/release-static/moc_aclock.cpp

.moc/release-static/moc_aclock.cpp: $(MOC) ../../../examples/aclock/aclock.h
	$(MOC) ../../../examples/aclock/aclock.h -o .moc/release-static/moc_aclock.cpp

####### Install

install: all 

uninstall:

=== qt-build-dir/examples/action/Makefile ===
#############################################################################
# Makefile for building: action
# Generated by qmake (1.04a) (Qt 3.1.1) on: Sat Feb  8 18:30:38 2003
# Project:  ../../../examples/action/action.pro
# Template: app
# Command: $(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../../examples/action/action.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = byacc
CFLAGS   = -pipe -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -fno-exceptions -I/usr/include/mysql -I/usr/include/postgresql -I/usr/include/postgresql/server -Wall -W -O2  -DQT_NO_DEBUG
CXXFLAGS = -pipe -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -fno-exceptions -I/usr/include/mysql -I/usr/include/postgresql -I/usr/include/postgresql/server -Wall -W -O2  -DQT_NO_DEBUG
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -I../../../examples/action -I/usr/include/freetype2 -I../../include -I../../../include -I. -I.moc/release-static/
LINK     = g++
LFLAGS   = -fno-exceptions
LIBS     = $(SUBLIBS) -L/home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/lib -L/usr/X11R6/lib -lqt -L/usr/X11R6/lib -laudio -lXt -lpq -lmysqlclient -lodbc -lmng -ljpeg -lpng -lz -lXrender -lXinerama -lXft -lfreetype -lXext -lX11 -lm -lSM -lICE -ldl
AR       = ar cqs
RANLIB   = 
MOC      = /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/moc
UIC      = /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/uic -L /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/plugins
QMAKE    = /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY) -p
COPY_DIR = $(COPY) -pR
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/release-static/

####### Files

HEADERS = ../../../examples/action/application.h
SOURCES = ../../../examples/action/application.cpp \
		../../../examples/action/main.cpp
OBJECTS = .obj/release-static/application.o \
		.obj/release-static/main.o
FORMS = 
UICDECLS = 
UICIMPLS = 
SRCMOC   = .moc/release-static/moc_application.cpp
OBJMOC = .obj/release-static/moc_application.o
DIST	   = ../../../examples/action/action.pro
QMAKE_TARGET = action
DESTDIR  = 
TARGET   = action

first: all
####### Implicit rules

.SUFFIXES: .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

mocables: $(SRCMOC)

$(MOC): 
	( cd $(QTDIR)/src/moc ; $(MAKE) )

Makefile: ../../../examples/action/action.pro ../../.qmake.cache /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++/qmake.conf ../../lib/libqt.prl
	$(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../../examples/action/action.pro
qmake: 
	@$(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../../examples/action/action.pro

dist: 
	@mkdir -p ../../../examples/action/.obj/release-static/action && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) ../../../examples/action/.obj/release-static/action/ && ( cd `dirname ../../../examples/action/.obj/release-static/action` && $(TAR) action.tar action && $(GZIP) action.tar ) && $(MOVE) `dirname ../../../examples/action/.obj/release-static/action`/action.tar.gz . && $(DEL_FILE) -r ../../../examples/action/.obj/release-static/action

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:

yaccclean:
lexclean:
clean: mocclean
	-$(DEL_FILE) $(OBJECTS) 
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

.obj/release-static/application.o: ../../../examples/action/application.cpp ../../../examples/action/application.h \
		../../../include/qimage.h \
		../../../include/qpixmap.h \
		../../../include/qtoolbar.h \
		../../../include/qtoolbutton.h \
		../../../include/qpopupmenu.h \
		../../../include/qmenubar.h \
		../../../include/qtextedit.h \
		../../../include/qfile.h \
		../../../include/qfiledialog.h \
		../../../include/qstatusbar.h \
		../../../include/qmessagebox.h \
		../../../include/qprinter.h \
		../../../include/qapplication.h \
		../../../include/qaccel.h \
		../../../include/qtextstream.h \
		../../../include/qpainter.h \
		../../../include/qpaintdevicemetrics.h \
		../../../include/qwhatsthis.h \
		../../../include/qaction.h \
		../../../examples/action/filesave.xpm \
		../../../examples/action/fileopen.xpm \
		../../../examples/action/fileprint.xpm \
		../../../include/qmainwindow.h \
		../../../include/qwidget.h \
		../../../include/qptrlist.h \
		../../../include/qwindowdefs.h \
		../../../include/qobject.h \
		../../../include/qpaintdevice.h \
		../../../include/qpalette.h \
		../../../include/qfont.h \
		../../../include/qfontmetrics.h \
		../../../include/qfontinfo.h \
		../../../include/qsizepolicy.h \
		../../../include/qobjectdefs.h \
		../../../include/qstring.h \
		../../../include/qnamespace.h \
		../../../include/qglobal.h \
		../../../include/qconfig-minimal.h \
		../../../include/qconfig-small.h \
		../../../include/qconfig-medium.h \
		../../../include/qconfig-large.h \
		../../../include/qfeatures.h \
		../../../include/qcstring.h \
		../../../include/qmemarray.h \
		../../../include/qgarray.h \
		../../../include/qshared.h \
		../../../include/qevent.h \
		../../../include/qregion.h \
		../../../include/qmime.h \
		../../../include/qpair.h \
		../../../include/qrect.h \
		../../../include/qsize.h \
		../../../include/qpoint.h \
		../../../include/qmap.h \
		../../../include/qdatastream.h \
		../../../include/qvaluelist.h \
		../../../include/qiodevice.h \
		../../../include/qtl.h \
		../../../include/qglist.h \
		../../../include/qptrcollection.h \
		../../../include/qcolor.h \
		../../../include/qbrush.h \
		../../../include/qdockwindow.h \
		../../../include/qframe.h \
		../../../include/qstrlist.h \
		../../../include/qstringlist.h \
		../../../include/qbutton.h \
		../../../include/qiconset.h \
		../../../include/qkeysequence.h \
		../../../include/qmenudata.h \
		../../../include/qsignal.h \
		../../../include/qvariant.h \
		../../../include/qscrollview.h \
		../../../include/qstylesheet.h \
		../../../include/qptrvector.h \
		../../../include/qscrollbar.h \
		../../../include/qrangecontrol.h \
		../../../include/qdict.h \
		../../../include/qgvector.h \
		../../../include/qgdict.h \
		../../../include/qdir.h \
		../../../include/qdialog.h \
		../../../include/qurloperator.h \
		../../../include/qurlinfo.h \
		../../../include/qfileinfo.h \
		../../../include/qdatetime.h \
		../../../include/qurl.h \
		../../../include/qnetworkprotocol.h \
		../../../include/qdesktopwidget.h \
		../../../include/qasciidict.h \
		../../../include/qtranslator.h \
		../../../include/qpen.h \
		../../../include/qpointarray.h \
		../../../include/qwmatrix.h \
		../../../include/qcursor.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/release-static/application.o ../../../examples/action/application.cpp

.obj/release-static/main.o: ../../../examples/action/main.cpp ../../../include/qapplication.h \
		../../../examples/action/application.h \
		../../../include/qdesktopwidget.h \
		../../../include/qasciidict.h \
		../../../include/qpalette.h \
		../../../include/qtranslator.h \
		../../../include/qstrlist.h \
		../../../include/qstringlist.h \
		../../../include/qwidget.h \
		../../../include/qwindowdefs.h \
		../../../include/qobject.h \
		../../../include/qpaintdevice.h \
		../../../include/qfont.h \
		../../../include/qfontmetrics.h \
		../../../include/qfontinfo.h \
		../../../include/qsizepolicy.h \
		../../../include/qobjectdefs.h \
		../../../include/qstring.h \
		../../../include/qnamespace.h \
		../../../include/qglobal.h \
		../../../include/qconfig-minimal.h \
		../../../include/qconfig-small.h \
		../../../include/qconfig-medium.h \
		../../../include/qconfig-large.h \
		../../../include/qfeatures.h \
		../../../include/qcstring.h \
		../../../include/qmemarray.h \
		../../../include/qgarray.h \
		../../../include/qshared.h \
		../../../include/qevent.h \
		../../../include/qregion.h \
		../../../include/qmime.h \
		../../../include/qpair.h \
		../../../include/qrect.h \
		../../../include/qsize.h \
		../../../include/qpoint.h \
		../../../include/qmap.h \
		../../../include/qptrlist.h \
		../../../include/qdatastream.h \
		../../../include/qvaluelist.h \
		../../../include/qiodevice.h \
		../../../include/qtl.h \
		../../../include/qtextstream.h \
		../../../include/qglist.h \
		../../../include/qptrcollection.h \
		../../../include/qcolor.h \
		../../../include/qbrush.h \
		../../../include/qgdict.h \
		../../../include/qmainwindow.h \
		../../../include/qtoolbar.h \
		../../../include/qdockwindow.h \
		../../../include/qframe.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/release-static/main.o ../../../examples/action/main.cpp

.obj/release-static/moc_application.o: .moc/release-static/moc_application.cpp ../../../examples/action/application.h ../../../include/qmainwindow.h \
		../../../include/qwidget.h \
		../../../include/qtoolbar.h \
		../../../include/qptrlist.h \
		../../../include/qtextstream.h \
		../../../include/qwindowdefs.h \
		../../../include/qobject.h \
		../../../include/qpaintdevice.h \
		../../../include/qpalette.h \
		../../../include/qfont.h \
		../../../include/qfontmetrics.h \
		../../../include/qfontinfo.h \
		../../../include/qsizepolicy.h \
		../../../include/qobjectdefs.h \
		../../../include/qstring.h \
		../../../include/qnamespace.h \
		../../../include/qglobal.h \
		../../../include/qconfig-minimal.h \
		../../../include/qconfig-small.h \
		../../../include/qconfig-medium.h \
		../../../include/qconfig-large.h \
		../../../include/qfeatures.h \
		../../../include/qcstring.h \
		../../../include/qmemarray.h \
		../../../include/qgarray.h \
		../../../include/qshared.h \
		../../../include/qevent.h \
		../../../include/qregion.h \
		../../../include/qmime.h \
		../../../include/qpair.h \
		../../../include/qrect.h \
		../../../include/qsize.h \
		../../../include/qpoint.h \
		../../../include/qmap.h \
		../../../include/qdatastream.h \
		../../../include/qvaluelist.h \
		../../../include/qiodevice.h \
		../../../include/qtl.h \
		../../../include/qglist.h \
		../../../include/qptrcollection.h \
		../../../include/qcolor.h \
		../../../include/qbrush.h \
		../../../include/qdockwindow.h \
		../../../include/qframe.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/release-static/moc_application.o .moc/release-static/moc_application.cpp

.moc/release-static/moc_application.cpp: $(MOC) ../../../examples/action/application.h
	$(MOC) ../../../examples/action/application.h -o .moc/release-static/moc_application.cpp

####### Install

install: all 

uninstall:

=== qt-build-dir/examples/addressbook/Makefile ===
#############################################################################
# Makefile for building: addressbook
# Generated by qmake (1.04a) (Qt 3.1.1) on: Sat Feb  8 18:30:39 2003
# Project:  ../../../examples/addressbook/addressbook.pro
# Template: app
# Command: $(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../../examples/addressbook/addressbook.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = byacc
CFLAGS   = -pipe -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -fno-exceptions -I/usr/include/mysql -I/usr/include/postgresql -I/usr/include/postgresql/server -Wall -W -O2  -DQT_NO_DEBUG
CXXFLAGS = -pipe -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -fno-exceptions -I/usr/include/mysql -I/usr/include/postgresql -I/usr/include/postgresql/server -Wall -W -O2  -DQT_NO_DEBUG
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -I../../../examples/addressbook -I/usr/include/freetype2 -I../../include -I../../../include -I. -I.moc/release-static/
LINK     = g++
LFLAGS   = -fno-exceptions
LIBS     = $(SUBLIBS) -L/home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/lib -L/usr/X11R6/lib -lqt -L/usr/X11R6/lib -laudio -lXt -lpq -lmysqlclient -lodbc -lmng -ljpeg -lpng -lz -lXrender -lXinerama -lXft -lfreetype -lXext -lX11 -lm -lSM -lICE -ldl
AR       = ar cqs
RANLIB   = 
MOC      = /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/moc
UIC      = /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/uic -L /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/plugins
QMAKE    = /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY) -p
COPY_DIR = $(COPY) -pR
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/release-static/

####### Files

HEADERS = ../../../examples/addressbook/centralwidget.h \
		../../../examples/addressbook/mainwindow.h
SOURCES = ../../../examples/addressbook/centralwidget.cpp \
		../../../examples/addressbook/main.cpp \
		../../../examples/addressbook/mainwindow.cpp
OBJECTS = .obj/release-static/centralwidget.o \
		.obj/release-static/main.o \
		.obj/release-static/mainwindow.o
FORMS = 
UICDECLS = 
UICIMPLS = 
SRCMOC   = .moc/release-static/moc_centralwidget.cpp \
		.moc/release-static/moc_mainwindow.cpp
OBJMOC = .obj/release-static/moc_centralwidget.o \
		.obj/release-static/moc_mainwindow.o
DIST	   = ../../../examples/addressbook/addressbook.pro
QMAKE_TARGET = addressbook
DESTDIR  = 
TARGET   = addressbook

first: all
####### Implicit rules

.SUFFIXES: .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

mocables: $(SRCMOC)

$(MOC): 
	( cd $(QTDIR)/src/moc ; $(MAKE) )

Makefile: ../../../examples/addressbook/addressbook.pro ../../.qmake.cache /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++/qmake.conf ../../lib/libqt.prl
	$(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../../examples/addressbook/addressbook.pro
qmake: 
	@$(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../../examples/addressbook/addressbook.pro

dist: 
	@mkdir -p ../../../examples/addressbook/.obj/release-static/addressbook && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) ../../../examples/addressbook/.obj/release-static/addressbook/ && ( cd `dirname ../../../examples/addressbook/.obj/release-static/addressbook` && $(TAR) addressbook.tar addressbook && $(GZIP) addressbook.tar ) && $(MOVE) `dirname ../../../examples/addressbook/.obj/release-static/addressbook`/addressbook.tar.gz . && $(DEL_FILE) -r ../../../examples/addressbook/.obj/release-static/addressbook

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:

yaccclean:
lexclean:
clean: mocclean
	-$(DEL_FILE) $(OBJECTS) 
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

.obj/release-static/centralwidget.o: ../../../examples/addressbook/centralwidget.cpp ../../../examples/addressbook/centralwidget.h \
		../../../include/qtabwidget.h \
		../../../include/qlistview.h \
		../../../include/qlayout.h \
		../../../include/qwidget.h \
		../../../include/qlabel.h \
		../../../include/qpushbutton.h \
		../../../include/qlineedit.h \
		../../../include/qcheckbox.h \
		../../../include/qfile.h \
		../../../include/qtextstream.h \
		../../../include/qstring.h \
		../../../include/qwindowdefs.h \
		../../../include/qobject.h \
		../../../include/qpaintdevice.h \
		../../../include/qpalette.h \
		../../../include/qfont.h \
		../../../include/qfontmetrics.h \
		../../../include/qfontinfo.h \
		../../../include/qsizepolicy.h \
		../../../include/qobjectdefs.h \
		../../../include/qnamespace.h \
		../../../include/qglobal.h \
		../../../include/qconfig-minimal.h \
		../../../include/qconfig-small.h \
		../../../include/qconfig-medium.h \
		../../../include/qconfig-large.h \
		../../../include/qfeatures.h \
		../../../include/qcstring.h \
		../../../include/qmemarray.h \
		../../../include/qgarray.h \
		../../../include/qshared.h \
		../../../include/qevent.h \
		../../../include/qregion.h \
		../../../include/qmime.h \
		../../../include/qpair.h \
		../../../include/qrect.h \
		../../../include/qsize.h \
		../../../include/qpoint.h \
		../../../include/qmap.h \
		../../../include/qptrlist.h \
		../../../include/qdatastream.h \
		../../../include/qvaluelist.h \
		../../../include/qiodevice.h \
		../../../include/qtl.h \
		../../../include/qglist.h \
		../../../include/qptrcollection.h \
		../../../include/qcolor.h \
		../../../include/qbrush.h \
		../../../include/qiconset.h \
		../../../include/qpixmap.h \
		../../../include/qscrollview.h \
		../../../include/qframe.h \
		../../../include/qscrollbar.h \
		../../../include/qrangecontrol.h \
		../../../include/qbutton.h \
		../../../include/qkeysequence.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/release-static/centralwidget.o ../../../examples/addressbook/centralwidget.cpp

.obj/release-static/main.o: ../../../examples/addressbook/main.cpp ../../../include/qapplication.h \
		../../../examples/addressbook/mainwindow.h \
		../../../include/qdesktopwidget.h \
		../../../include/qasciidict.h \
		../../../include/qpalette.h \
		../../../include/qtranslator.h \
		../../../include/qstrlist.h \
		../../../include/qstringlist.h \
		../../../include/qwidget.h \
		../../../include/qwindowdefs.h \
		../../../include/qobject.h \
		../../../include/qpaintdevice.h \
		../../../include/qfont.h \
		../../../include/qfontmetrics.h \
		../../../include/qfontinfo.h \
		../../../include/qsizepolicy.h \
		../../../include/qobjectdefs.h \
		../../../include/qstring.h \
		../../../include/qnamespace.h \
		../../../include/qglobal.h \
		../../../include/qconfig-minimal.h \
		../../../include/qconfig-small.h \
		../../../include/qconfig-medium.h \
		../../../include/qconfig-large.h \
		../../../include/qfeatures.h \
		../../../include/qcstring.h \
		../../../include/qmemarray.h \
		../../../include/qgarray.h \
		../../../include/qshared.h \
		../../../include/qevent.h \
		../../../include/qregion.h \
		../../../include/qmime.h \
		../../../include/qpair.h \
		../../../include/qrect.h \
		../../../include/qsize.h \
		../../../include/qpoint.h \
		../../../include/qmap.h \
		../../../include/qptrlist.h \
		../../../include/qdatastream.h \
		../../../include/qvaluelist.h \
		../../../include/qiodevice.h \
		../../../include/qtl.h \
		../../../include/qtextstream.h \
		../../../include/qglist.h \
		../../../include/qptrcollection.h \
		../../../include/qcolor.h \
		../../../include/qbrush.h \
		../../../include/qgdict.h \
		../../../include/qmainwindow.h \
		../../../include/qtoolbar.h \
		../../../include/qdockwindow.h \
		../../../include/qframe.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/release-static/main.o ../../../examples/addressbook/main.cpp

.obj/release-static/mainwindow.o: ../../../examples/addressbook/mainwindow.cpp ../../../examples/addressbook/mainwindow.h \
		../../../examples/addressbook/centralwidget.h \
		../../../include/qtoolbar.h \
		../../../include/qtoolbutton.h \
		../../../include/qpopupmenu.h \
		../../../include/qmenubar.h \
		../../../include/qstatusbar.h \
		../../../include/qapplication.h \
		../../../include/qfiledialog.h \
		../../../include/qmainwindow.h \
		../../../include/qstring.h \
		../../../include/qwidget.h \
		../../../include/qptrlist.h \
		../../../include/qtextstream.h \
		../../../include/qwindowdefs.h \
		../../../include/qobject.h \
		../../../include/qpaintdevice.h \
		../../../include/qpalette.h \
		../../../include/qfont.h \
		../../../include/qfontmetrics.h \
		../../../include/qfontinfo.h \
		../../../include/qsizepolicy.h \
		../../../include/qobjectdefs.h \
		../../../include/qnamespace.h \
		../../../include/qglobal.h \
		../../../include/qconfig-minimal.h \
		../../../include/qconfig-small.h \
		../../../include/qconfig-medium.h \
		../../../include/qconfig-large.h \
		../../../include/qfeatures.h \
		../../../include/qcstring.h \
		../../../include/qmemarray.h \
		../../../include/qgarray.h \
		../../../include/qshared.h \
		../../../include/qevent.h \
		../../../include/qregion.h \
		../../../include/qmime.h \
		../../../include/qpair.h \
		../../../include/qrect.h \
		../../../include/qsize.h \
		../../../include/qpoint.h \
		../../../include/qmap.h \
		../../../include/qdatastream.h \
		../../../include/qvaluelist.h \
		../../../include/qiodevice.h \
		../../../include/qtl.h \
		../../../include/qglist.h \
		../../../include/qptrcollection.h \
		../../../include/qcolor.h \
		../../../include/qbrush.h \
		../../../include/qdockwindow.h \
		../../../include/qframe.h \
		../../../include/qbutton.h \
		../../../include/qpixmap.h \
		../../../include/qiconset.h \
		../../../include/qkeysequence.h \
		../../../include/qmenudata.h \
		../../../include/qsignal.h \
		../../../include/qvariant.h \
		../../../include/qstringlist.h \
		../../../include/qstrlist.h \
		../../../include/qdesktopwidget.h \
		../../../include/qasciidict.h \
		../../../include/qtranslator.h \
		../../../include/qgdict.h \
		../../../include/qdir.h \
		../../../include/qdialog.h \
		../../../include/qurloperator.h \
		../../../include/qurlinfo.h \
		../../../include/qfileinfo.h \
		../../../include/qfile.h \
		../../../include/qdatetime.h \
		../../../include/qurl.h \
		../../../include/qnetworkprotocol.h \
		../../../include/qdict.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/release-static/mainwindow.o ../../../examples/addressbook/mainwindow.cpp

.obj/release-static/moc_centralwidget.o: .moc/release-static/moc_centralwidget.cpp ../../../examples/addressbook/centralwidget.h ../../../include/qwidget.h \
		../../../include/qstring.h \
		../../../include/qwindowdefs.h \
		../../../include/qobject.h \
		../../../include/qpaintdevice.h \
		../../../include/qpalette.h \
		../../../include/qfont.h \
		../../../include/qfontmetrics.h \
		../../../include/qfontinfo.h \
		../../../include/qsizepolicy.h \
		../../../include/qobjectdefs.h \
		../../../include/qnamespace.h \
		../../../include/qglobal.h \
		../../../include/qconfig-minimal.h \
		../../../include/qconfig-small.h \
		../../../include/qconfig-medium.h \
		../../../include/qconfig-large.h \

=== qt-build-dir/examples/application/Makefile ===
#############################################################################
# Makefile for building: application
# Generated by qmake (1.04a) (Qt 3.1.1) on: Sat Feb  8 18:30:41 2003
# Project:  ../../../examples/application/application.pro
# Template: app
# Command: $(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../../examples/application/application.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = byacc
CFLAGS   = -pipe -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -fno-exceptions -I/usr/include/mysql -I/usr/include/postgresql -I/usr/include/postgresql/server -Wall -W -O2  -DQT_NO_DEBUG
CXXFLAGS = -pipe -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -fno-exceptions -I/usr/include/mysql -I/usr/include/postgresql -I/usr/include/postgresql/server -Wall -W -O2  -DQT_NO_DEBUG
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -I../../../examples/application -I/usr/include/freetype2 -I../../include -I../../../include -I. -I.moc/release-static/
LINK     = g++
LFLAGS   = -fno-exceptions
LIBS     = $(SUBLIBS) -L/home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/lib -L/usr/X11R6/lib -lqt -L/usr/X11R6/lib -laudio -lXt -lpq -lmysqlclient -lodbc -lmng -ljpeg -lpng -lz -lXrender -lXinerama -lXft -lfreetype -lXext -lX11 -lm -lSM -lICE -ldl
AR       = ar cqs
RANLIB   = 
MOC      = /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/moc
UIC      = /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/uic -L /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/plugins
QMAKE    = /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY) -p
COPY_DIR = $(COPY) -pR
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/release-static/

####### Files

HEADERS = ../../../examples/application/application.h
SOURCES = ../../../examples/application/application.cpp \
		../../../examples/application/main.cpp
OBJECTS = .obj/release-static/application.o \
		.obj/release-static/main.o
FORMS = 
UICDECLS = 
UICIMPLS = 
SRCMOC   = .moc/release-static/moc_application.cpp
OBJMOC = .obj/release-static/moc_application.o
DIST	   = ../../../examples/application/application.pro
QMAKE_TARGET = application
DESTDIR  = 
TARGET   = application

first: all
####### Implicit rules

.SUFFIXES: .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

mocables: $(SRCMOC)

$(MOC): 
	( cd $(QTDIR)/src/moc ; $(MAKE) )

Makefile: ../../../examples/application/application.pro ../../.qmake.cache /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++/qmake.conf ../../lib/libqt.prl
	$(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../../examples/application/application.pro
qmake: 
	@$(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../../examples/application/application.pro

dist: 
	@mkdir -p ../../../examples/application/.obj/release-static/application && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) ../../../examples/application/.obj/release-static/application/ && ( cd `dirname ../../../examples/application/.obj/release-static/application` && $(TAR) application.tar application && $(GZIP) application.tar ) && $(MOVE) `dirname ../../../examples/application/.obj/release-static/application`/application.tar.gz . && $(DEL_FILE) -r ../../../examples/application/.obj/release-static/application

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:

yaccclean:
lexclean:
clean: mocclean
	-$(DEL_FILE) $(OBJECTS) 
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

.obj/release-static/application.o: ../../../examples/application/application.cpp ../../../examples/application/application.h \
		../../../include/qimage.h \
		../../../include/qpixmap.h \
		../../../include/qtoolbar.h \
		../../../include/qtoolbutton.h \
		../../../include/qpopupmenu.h \
		../../../include/qmenubar.h \
		../../../include/qtextedit.h \
		../../../include/qfile.h \
		../../../include/qfiledialog.h \
		../../../include/qstatusbar.h \
		../../../include/qmessagebox.h \
		../../../include/qprinter.h \
		../../../include/qapplication.h \
		../../../include/qaccel.h \
		../../../include/qtextstream.h \
		../../../include/qpainter.h \
		../../../include/qpaintdevicemetrics.h \
		../../../include/qwhatsthis.h \
		../../../examples/application/filesave.xpm \
		../../../examples/application/fileopen.xpm \
		../../../examples/application/fileprint.xpm \
		../../../include/qmainwindow.h \
		../../../include/qwidget.h \
		../../../include/qptrlist.h \
		../../../include/qwindowdefs.h \
		../../../include/qobject.h \
		../../../include/qpaintdevice.h \
		../../../include/qpalette.h \
		../../../include/qfont.h \
		../../../include/qfontmetrics.h \
		../../../include/qfontinfo.h \
		../../../include/qsizepolicy.h \
		../../../include/qobjectdefs.h \
		../../../include/qstring.h \
		../../../include/qnamespace.h \
		../../../include/qglobal.h \
		../../../include/qconfig-minimal.h \
		../../../include/qconfig-small.h \
		../../../include/qconfig-medium.h \
		../../../include/qconfig-large.h \
		../../../include/qfeatures.h \
		../../../include/qcstring.h \
		../../../include/qmemarray.h \
		../../../include/qgarray.h \
		../../../include/qshared.h \
		../../../include/qevent.h \
		../../../include/qregion.h \
		../../../include/qmime.h \
		../../../include/qpair.h \
		../../../include/qrect.h \
		../../../include/qsize.h \
		../../../include/qpoint.h \
		../../../include/qmap.h \
		../../../include/qdatastream.h \
		../../../include/qvaluelist.h \
		../../../include/qiodevice.h \
		../../../include/qtl.h \
		../../../include/qglist.h \
		../../../include/qptrcollection.h \
		../../../include/qcolor.h \
		../../../include/qbrush.h \
		../../../include/qdockwindow.h \
		../../../include/qframe.h \
		../../../include/qstrlist.h \
		../../../include/qstringlist.h \
		../../../include/qbutton.h \
		../../../include/qiconset.h \
		../../../include/qkeysequence.h \
		../../../include/qmenudata.h \
		../../../include/qsignal.h \
		../../../include/qvariant.h \
		../../../include/qscrollview.h \
		../../../include/qstylesheet.h \
		../../../include/qptrvector.h \
		../../../include/qscrollbar.h \
		../../../include/qrangecontrol.h \
		../../../include/qdict.h \
		../../../include/qgvector.h \
		../../../include/qgdict.h \
		../../../include/qdir.h \
		../../../include/qdialog.h \
		../../../include/qurloperator.h \
		../../../include/qurlinfo.h \
		../../../include/qfileinfo.h \
		../../../include/qdatetime.h \
		../../../include/qurl.h \
		../../../include/qnetworkprotocol.h \
		../../../include/qdesktopwidget.h \
		../../../include/qasciidict.h \
		../../../include/qtranslator.h \
		../../../include/qpen.h \
		../../../include/qpointarray.h \
		../../../include/qwmatrix.h \
		../../../include/qcursor.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/release-static/application.o ../../../examples/application/application.cpp

.obj/release-static/main.o: ../../../examples/application/main.cpp ../../../include/qapplication.h \
		../../../examples/application/application.h \
		../../../include/qdesktopwidget.h \
		../../../include/qasciidict.h \
		../../../include/qpalette.h \
		../../../include/qtranslator.h \
		../../../include/qstrlist.h \
		../../../include/qstringlist.h \
		../../../include/qwidget.h \
		../../../include/qwindowdefs.h \
		../../../include/qobject.h \
		../../../include/qpaintdevice.h \
		../../../include/qfont.h \
		../../../include/qfontmetrics.h \
		../../../include/qfontinfo.h \
		../../../include/qsizepolicy.h \
		../../../include/qobjectdefs.h \
		../../../include/qstring.h \
		../../../include/qnamespace.h \
		../../../include/qglobal.h \
		../../../include/qconfig-minimal.h \
		../../../include/qconfig-small.h \
		../../../include/qconfig-medium.h \
		../../../include/qconfig-large.h \
		../../../include/qfeatures.h \
		../../../include/qcstring.h \
		../../../include/qmemarray.h \
		../../../include/qgarray.h \
		../../../include/qshared.h \
		../../../include/qevent.h \
		../../../include/qregion.h \
		../../../include/qmime.h \
		../../../include/qpair.h \
		../../../include/qrect.h \
		../../../include/qsize.h \
		../../../include/qpoint.h \
		../../../include/qmap.h \
		../../../include/qptrlist.h \
		../../../include/qdatastream.h \
		../../../include/qvaluelist.h \
		../../../include/qiodevice.h \
		../../../include/qtl.h \
		../../../include/qtextstream.h \
		../../../include/qglist.h \
		../../../include/qptrcollection.h \
		../../../include/qcolor.h \
		../../../include/qbrush.h \
		../../../include/qgdict.h \
		../../../include/qmainwindow.h \
		../../../include/qtoolbar.h \
		../../../include/qdockwindow.h \
		../../../include/qframe.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/release-static/main.o ../../../examples/application/main.cpp

.obj/release-static/moc_application.o: .moc/release-static/moc_application.cpp ../../../examples/application/application.h ../../../include/qmainwindow.h \
		../../../include/qwidget.h \
		../../../include/qtoolbar.h \
		../../../include/qptrlist.h \
		../../../include/qtextstream.h \
		../../../include/qwindowdefs.h \
		../../../include/qobject.h \
		../../../include/qpaintdevice.h \
		../../../include/qpalette.h \
		../../../include/qfont.h \
		../../../include/qfontmetrics.h \
		../../../include/qfontinfo.h \
		../../../include/qsizepolicy.h \
		../../../include/qobjectdefs.h \
		../../../include/qstring.h \
		../../../include/qnamespace.h \
		../../../include/qglobal.h \
		../../../include/qconfig-minimal.h \
		../../../include/qconfig-small.h \
		../../../include/qconfig-medium.h \
		../../../include/qconfig-large.h \
		../../../include/qfeatures.h \
		../../../include/qcstring.h \
		../../../include/qmemarray.h \
		../../../include/qgarray.h \
		../../../include/qshared.h \
		../../../include/qevent.h \
		../../../include/qregion.h \
		../../../include/qmime.h \
		../../../include/qpair.h \
		../../../include/qrect.h \
		../../../include/qsize.h \
		../../../include/qpoint.h \
		../../../include/qmap.h \
		../../../include/qdatastream.h \
		../../../include/qvaluelist.h \
		../../../include/qiodevice.h \
		../../../include/qtl.h \
		../../../include/qglist.h \
		../../../include/qptrcollection.h \
		../../../include/qcolor.h \
		../../../include/qbrush.h \
		../../../include/qdockwindow.h \
		../../../include/qframe.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/release-static/moc_application.o .moc/release-static/moc_application.cpp

.moc/release-static/moc_application.cpp: $(MOC) ../../../examples/application/application.h
	$(MOC) ../../../examples/application/application.h -o .moc/release-static/moc_application.cpp

####### Install

install: all 

uninstall:

=== qt-build-dir/examples/biff/Makefile ===
#############################################################################
# Makefile for building: biff
# Generated by qmake (1.04a) (Qt 3.1.1) on: Sat Feb  8 18:30:42 2003
# Project:  ../../../examples/biff/biff.pro
# Template: app
# Command: $(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../../examples/biff/biff.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = byacc
CFLAGS   = -pipe -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -fno-exceptions -I/usr/include/mysql -I/usr/include/postgresql -I/usr/include/postgresql/server -Wall -W -O2  -DQT_NO_DEBUG
CXXFLAGS = -pipe -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -fno-exceptions -I/usr/include/mysql -I/usr/include/postgresql -I/usr/include/postgresql/server -Wall -W -O2  -DQT_NO_DEBUG
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -I../../../examples/biff -I/usr/include/freetype2 -I../../include -I../../../include -I. -I.moc/release-static/
LINK     = g++
LFLAGS   = -fno-exceptions
LIBS     = $(SUBLIBS) -L/home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/lib -L/usr/X11R6/lib -lqt -L/usr/X11R6/lib -laudio -lXt -lpq -lmysqlclient -lodbc -lmng -ljpeg -lpng -lz -lXrender -lXinerama -lXft -lfreetype -lXext -lX11 -lm -lSM -lICE -ldl
AR       = ar cqs
RANLIB   = 
MOC      = /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/moc
UIC      = /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/uic -L /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/plugins
QMAKE    = /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/qt-build-dir/bin/qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY) -p
COPY_DIR = $(COPY) -pR
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/release-static/

####### Files

HEADERS = ../../../examples/biff/biff.h
SOURCES = ../../../examples/biff/biff.cpp \
		../../../examples/biff/main.cpp
OBJECTS = .obj/release-static/biff.o \
		.obj/release-static/main.o
FORMS = 
UICDECLS = 
UICIMPLS = 
SRCMOC   = .moc/release-static/moc_biff.cpp
OBJMOC = .obj/release-static/moc_biff.o
DIST	   = ../../../examples/biff/biff.pro
QMAKE_TARGET = biff
DESTDIR  = 
TARGET   = biff

first: all
####### Implicit rules

.SUFFIXES: .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

mocables: $(SRCMOC)

$(MOC): 
	( cd $(QTDIR)/src/moc ; $(MAKE) )

Makefile: ../../../examples/biff/biff.pro ../../.qmake.cache /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++/qmake.conf ../../lib/libqt.prl
	$(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../../examples/biff/biff.pro
qmake: 
	@$(QMAKE) -spec /home/magotou/src/qt-x11-free-3.1.1+cvs.20021220/mkspecs/linux-g++ -o Makefile ../../../examples/biff/biff.pro

dist: 
	@mkdir -p ../../../examples/biff/.obj/release-static/biff && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) ../../../examples/biff/.obj/release-static/biff/ && ( cd `dirname ../../../examples/biff/.obj/release-static/biff` && $(TAR) biff.tar biff && $(GZIP) biff.tar ) && $(MOVE) `dirname ../../../examples/biff/.obj/release-static/biff`/biff.tar.gz . && $(DEL_FILE) -r ../../../examples/biff/.obj/release-static/biff

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:

yaccclean:
lexclean:
clean: mocclean
	-$(DEL_FILE) $(OBJECTS) 
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

.obj/release-static/biff.o: ../../../examples/biff/biff.cpp ../../../examples/biff/biff.h \
		../../../include/qstring.h \
		../../../include/qfileinfo.h \
		../../../include/qpainter.h \
		../../../examples/biff/bmp.cpp \
		../../../include/qwidget.h \
		../../../include/qdatetime.h \
		../../../include/qpixmap.h \
		../../../include/qwindowdefs.h \
		../../../include/qobject.h \
		../../../include/qpaintdevice.h \
		../../../include/qpalette.h \
		../../../include/qfont.h \
		../../../include/qfontmetrics.h \
		../../../include/qfontinfo.h \
		../../../include/qsizepolicy.h \
		../../../include/qobjectdefs.h \
		../../../include/qnamespace.h \
		../../../include/qglobal.h \
		../../../include/qconfig-minimal.h \
		../../../include/qconfig-small.h \
		../../../include/qconfig-medium.h \
		../../../include/qconfig-large.h \
		../../../include/qfeatures.h \
		../../../include/qcstring.h \
		../../../include/qmemarray.h \
		../../../include/qgarray.h \
		../../../include/qshared.h \
		../../../include/qevent.h \
		../../../include/qregion.h \
		../../../include/qmime.h \
		../../../include/qpair.h \
		../../../include/qrect.h \
		../../../include/qsize.h \
		../../../include/qpoint.h \
		../../../include/qmap.h \
		../../../include/qptrlist.h \
		../../../include/qdatastream.h \
		../../../include/qvaluelist.h \
		../../../include/qiodevice.h \
		../../../include/qtl.h \
		../../../include/qtextstream.h \
		../../../include/qglist.h \
		../../../include/qptrcollection.h \
		../../../include/qcolor.h \
		../../../include/qbrush.h \
		../../../include/qfile.h \
		../../../include/qpen.h \
		../../../include/qpointarray.h \
		../../../include/qwmatrix.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/release-static/biff.o ../../../examples/biff/biff.cpp

.obj/release-static/main.o: ../../../examples/biff/main.cpp ../../../include/qapplication.h \
		../../../examples/biff/biff.h \
		../../../include/qdesktopwidget.h \
		../../../include/qasciidict.h \
		../../../include/qpalette.h \
		../../../include/qtranslator.h \
		../../../include/qstrlist.h \
		../../../include/qstringlist.h \
		../../../include/qwidget.h \
		../../../include/qwindowdefs.h \
		../../../include/qobject.h \
		../../../include/qpaintdevice.h \
		../../../include/qfont.h \
		../../../include/qfontmetrics.h \
		../../../include/qfontinfo.h \
		../../../include/qsizepolicy.h \
		../../../include/qobjectdefs.h \
		../../../include/qstring.h \
		../../../include/qnamespace.h \
		../../../include/qglobal.h \
		../../../include/qconfig-minimal.h \
		../../../include/qconfig-small.h \
		../../../include/qconfig-medium.h \
		../../../include/qconfig-large.h \
		../../../include/qfeatures.h \
		../../../include/qcstring.h \
		../../../include/qmemarray.h \
		../../../include/qgarray.h \
		../../../include/qshared.h \
		../../../include/qevent.h \
		../../../include/qregion.h \
		../../../include/qmime.h \
		../../../include/qpair.h \
		../../../include/qrect.h \
		../../../include/qsize.h \
		../../../include/qpoint.h \
		../../../include/qmap.h \
		../../../include/qptrlist.h \
		../../../include/qdatastream.h \
		../../../include/qvaluelist.h \
		../../../include/qiodevice.h \
		../../../include/qtl.h \
		../../../include/qtextstream.h \
		../../../include/qglist.h \
		../../../include/qptrcollection.h \
		../../../include/qcolor.h \
		../../../include/qbrush.h \
		../../../include/qgdict.h \
		../../../include/qdatetime.h \
		../../../include/qpixmap.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/release-static/main.o ../../../examples/biff/main.cpp

.obj/release-static/moc_biff.o: .moc/release-static/moc_biff.cpp ../../../examples/biff/biff.h ../../../include/qwidget.h \
		../../../include/qdatetime.h \
		../../../include/qpixmap.h \
		../../../include/qwindowdefs.h \
		../../../include/qobject.h \
		../../../include/qpaintdevice.h \
		../../../include/qpalette.h \
		../../../include/qfont.h \
		../../../include/qfontmetrics.h \
		../../../include/qfontinfo.h \
		../../../include/qsizepolicy.h \
		../../../include/qobjectdefs.h \
		../../../include/qstring.h \
		../../../include/qnamespace.h \
		../../../include/qglobal.h \
		../../../include/qconfig-minimal.h \
		../../../include/qconfig-small.h \
		../../../include/qconfig-medium.h \
		../../../include/qconfig-large.h \
		../../../include/qfeatures.h \
		../../../include/qcstring.h \
		../../../include/qmemarray.h \
		../../../include/qgarray.h \
		../../../include/qshared.h \
		../../../include/qevent.h \
		../../../include/qregion.h \
		../../../include/qmime.h \
		../../../include/qpair.h \
		../../../include/qrect.h \
		../../../include/qsize.h \
		../../../include/qpoint.h \
		../../../include/qmap.h \
		../../../include/qptrlist.h \
		../../../include/qdatastream.h \
		../../../include/qvaluelist.h \
		../../../include/qiodevice.h \
		../../../include/qtl.h \
		../../../include/qtextstream.h \
		../../../include/qglist.h \
		../../../include/qptrcollection.h \
		../../../include/qcolor.h \
		../../../include/qbrush.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/release-static/moc_biff.o .moc/release-static/moc_biff.cpp

.moc/release-static/moc_biff.cpp: $(MOC) ../../../examples/biff/biff.h
	$(MOC) ../../../examples/biff/biff.h -o .moc/release-static/moc_biff.cpp

####### Install

install: all 

uninstall:

=== debian/changelog ===
qt-x11-free (2:3.1.1+cvs.20021220-0woody1-jp2) unstable; urgency=low

  * Apply JKUG extra patchs for improve japanese font.
    qt-x11-free-3.1.0-qfont-jp-family-subst-20021214.patch
    qt-x11-free-3.1.0-qpsprinter-ttc-italic-20021117.patch
  
 -- Masaharu 'Max' Goto <max@users.sourceforge.jp>  Sat, 9 Feb 2003 12:00:00 +0900

qt-x11-free (2:3.1.1+cvs.20021220-0woody1-jp1) unstable; urgency=low

  * Apply JKUG patches
    qt-x11-free-3.1.1-fix-callPosition-XFilterEvent-20021223.diff
    qt-x11-free-3.1.1-qjpunicode-20021223.diff
    qt-x11-free-3.1.1-xim-changeDefaultOverTheSpot-20021223.diff(*1)
    qt-x11-free-3.1.1-xim-toUseAtokx-20021223.diff
  * Note*1 : some of patches are rejected.

 -- Masaharu 'Max' Goto <max@users.sourceforge.jp>  Sat, 8 Feb 2003 03:11:00 +0900

qt-x11-free (2:3.1.1+cvs.20021220-0woody1) unstable; urgency=low

  * woody backport
  * removed libxft2-dev, changed libpng12-0-dev to libpng-dev, libaudio-dev to
    nas-dev

 -- Ralf Nolden (KDE) <nolden@kde.org>  Mon, 30 Dec 2002 17:05:18 +0100

qt-x11-free (2:3.1.1+cvs.20021220-1) unstable; urgency=low

  * New Upstream version (Qt 3.1.1, using qt-copy from KDE project)
  * Special thanks goes to Kevin Puetz for support and work on this release
  * debian/patches/: Removed patches 05 and 06 and added correct -I's to rules
  * debian/rules: don't build unthreaded plugins with QT_THREAD_SUPPORT (Closes: #172793)
  * debian/control: Fix description of libqt3-helper (Closes: #72754)
  * debian/rules: Moved libqui to libqt3-helper (Closes: #173539, #173537)
  * debian/libqt3-dev.install: Only include useful bits for qmake
  * debian/maintain/qmake-hppa.conf: Added -ftemplate-depth-99 (Closes: #173086)
  * debian/rules: Make sure OpenGL support is enabled on threaded builds
  * debian/rules: Use new srcdir != builddir technology, large cleanup
  * debian/rules: Fixed path for html-files (remove the double html)
  * debian/control: Added Replaces: to libqt3-helper for libqt3 (Closes: #173288)
  * debian/rules: Removed all those ugly wrapper scripts (bah!)
  * debian/control: Added build-dependency for Xft2 - thus Xft2 enabled

 -- Martin Loschwitz <madkiss@madkiss.org>  Fri, 20 Dec 2002 17:53:00 +0100
 

qt-x11-free (2:3.1.0+cvs.20021205-1) unstable; urgency=low

  * New Upstream version (Qt 3.1.0, using qt-copy from KDE project) (Closes: #167001)
  * debian/control: Make libqt3-dev depending on correct packages (Closes: #167475)
  * debian/rules: Enabled Qt support for cups
  * debian/overrides/: Added overrides-files for various packages
  * debian/control: depend on libaudio instead of nas-lib
  * debian/control: Updated Standards-Version to 3.8.0
  * debian/rules: Use DH_COMPAT=4
  * debian/rules: Converted to dh_install

 -- Martin Loschwitz <madkiss@madkiss.org>  Thu, 05 Dec 2002 14:10:00 +0100
 

qt-x11-free (2:3.0.5-4) unstable; urgency=low

  * debian/09_assistant.dpatch: Fix doc-dir-path for Qt-assistant (Closes: #148924)
  * debian/10_sizet_64bit.dpatch: Fix for 64bit machines (Closes: #159364)
  * debian/11_qsql_odbc.dpatch: build with libiodbc2-dev
  * debian/control: Build-Depend on libiodbc2-dev (Closes: #161352, #161353)
  * qt3-doc _should_ be Recommends (assistant/qt3-tools needs it) (Closes: #149428)
  * debian/rules: Fixed the 'clean'-target (Closes: #159264)
  * debian/libqt3-dev.links: Symlink for /usr/share/qt/lib (Closes: #152507, #152509)
  * debian/control: Updates Standards-Version
  * debian/control: Tried to solve the dependency hell a bit
  * debian/control: Removed libqt3 Suggests for anti-aliasing-howto
  * debian/rules: Re-enabled NAS (Network Audio System)
  * Must be a local problem (there ARE files in libqt3-dev) (Closes: #159674)
  * Not a Qt bug; has been fixed probably long time ago (Closes: #154976)
  
 -- Martin Loschwitz <madkiss@madkiss.org>  Thu, 15 Oct 2002 09:29:00 +0200

qt-x11-free (2:3.0.5-3) unstable; urgency=low

  * Sometimes our buildds do strange things (Closes: #155258)
  * debian/rules: added shlibdeps-path for libqt3-mt.
  * debian/rules: libqt3-mysql, libqt3-odbc and libqt3-psql contain the
    unthreaded plugins now (Closes: #152022)

 -- Martin Loschwitz <madkiss@madkiss.org>  Thu, 9 Aug 2002 22:18:00 +0200
     

qt-x11-free (2:3.0.5-2) unstable; urgency=low

  * debian/control: qt3-dev and qt3-doc are "Priority: extra" now.
  * debian/rules: Fix alpha and hppa build (Closes: #150917)

 -- Martin Loschwitz <madkiss@madkiss.org>  Thu, 2 Aug 2002 12:43:00 +0200

qt-x11-free (2:3.0.5-1) unstable; urgency=low

  * debian/control: New Maintainer (Closes: #153534)
  * debian/maintain: fix hppa build (qmake-hppa.conf) (Closes: #150917)
  * debian/changelog: New upstream version 3.0.5 (Closes: #153266)
  * debian/rules: We use dpatch now, thanks to Gergely Nagy
  * Moved wrapper files and configs to debian/maintain/
  * debian/maintain/assistant.sh: not include content double
  * configure: Set "QT_INSTALL_PLUGINS" correct
  * Changed some includes in the SQL-files to make them working
  * debian/control: Fix some build dependencies
  * debian/patches: All patches against upstream can be found here now.
  * debian/control: Depend on libpng3-dev (Closes: #154234).

 -- Martin Loschwitz <madkiss@madkiss.org>  Sat, 27 Jul 2002 13:51:00 +0200
     

qt-x11-free (2:3.0.4-2) unstable; urgency=low

  * Fix hppa build hopefully (Closes: #150917)
  * Build cleanup

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 26 Jun 2002 13:28:00 -0700

qt-x11-free (2:3.0.4-1) unstable; urgency=low

  * New upstream version
  * Fix qt-designer html access (Closes: #149505)
  * Build postgresql modules 
  * This was fixed a while ago.  (Closes: #134637)
  * Build static libs again.  yuk!  Who the heck uses these anymore? 
    (Closes: #147084)

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 16 Jun 2002 12:25:00 -0700

qt-copy (2:3.0.3-20020329-7) unstable; urgency=low

  * move html files to html subdir...really...I mean it. (Closes: #149076)



=== debian/control ===
Source: qt-x11-free
Build-Depends: debhelper (>= 4.1.26), xlibs-dev (>= 4.1.0), libjpeg62-dev, zlib1g-dev, libmng-dev (>= 1.0.3), byacc, libpng-dev, libfreetype6-dev, libiodbc2-dev, libmysqlclient10-dev, flex, postgresql-dev, nas-dev, libcupsys2-dev, xlibmesa-dev
Section: libs
Priority: optional
Maintainer: Martin Loschwitz <madkiss@madkiss.org> 
Standards-Version: 3.5.8

Package: libqt3
Architecture: any
Section: libs
Replaces: libqt3-gl, qt3-tools (<< 2:3.0.2-20020306-1)
Depends: ${shlibs:Depends}
Conflicts: libqt3-gl
Suggests: libqt3-psql, libqt3-mysql, libqt3-odbc
Description: Qt GUI Library (runtime files)
 This is the Trolltech Qt library, version 3. It's necessary for
 applications that link against the libqt, e.g. all KDE3 applications.

Package: libqt3-mt
Architecture: any
Section: libs
Replaces: qt3-tools (<< 2:3.0.2-20020306-1)
Depends: ${shlibs:Depends}
Suggests: libqt3-mt-psql, libqt3-mt-mysql, libqt3-mt-odbc
Description: Qt GUI Library (Threaded runtime version)
 This is the Trolltech Qt library, version 3. It's necessary for
 applications that link against the libqt, e.g. all KDE3 applications.
    
Package: libqt3-mysql
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: Mysql database plugin for Qt3
 This package contains the mysql plugin for Qt3.
  
Package: libqt3-mt-mysql
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: Mysql database plugin for Qt3 (Threaded)
 This package contains the threaded mysql plugin for Qt3.

Package: libqt3-helper
Architecture: any
Section: libs
Depends: libqt3-mt (= ${Source-Version})
Replaces: libqt3-mt (<= 2:3.1.0+cvs.20021205-1), libqt3-mt-dev (<= 2:3.1.0+cvs.20021205-1), libqt3 (<= 2:3.1.0+cvs.20021205-1)
Description: Some helper libraries for qt-tools
 This package contains libqassistantclient, libeditor, libdesigner and
 libqui, four helper libraries for the Qt3.1 tools.
 
Package: libqt3-odbc
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: ODBC plugin for Qt3
 This package contains the odbc plugin for Qt3.
  
Package: libqt3-mt-odbc
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: ODBC plugin for Qt3 (Threaded)
 This package contains the threaded odbc plugin for Qt3.

Package: libqt3-psql
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: Postgresql database plugin for Qt3
 This package contains the unthreaded psql plugin for Qt3.

Package: libqt3-mt-psql
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: PG SQL plugin for Qt3 (Threaded)
 This package contains the threaded psql plugin for Qt3.
 
Package: libqt3-mt-dev
Architecture: any
Section: devel
Replaces: libqt2-mt-dev, libqt3-dev (>= 3.0.5-4)
Depends: libqt3-dev (= ${Source-Version}), libqt3-mt (= ${Source-Version})
Conflicts: libqt2-mt-dev
Suggests: libqt3-mt-mysql, libqt3-mt-psql, libqt3-mt-odbc
Description: Qt Threaded development files
 Qt is a complete framework for development of GUI, based on a set of
 C++ classes.  This package contains the development files necessary for
 building threaded Qt applications. 

Package: libqt3-dev
Architecture: any
Section: devel
Replaces: libqt2-dev, libqt-dev, qt3-doc (<< 2:3.0.2-20020306-1), qt3-tools (<< 2:3.0.3-20020329-1)
Depends: ${shlibs:Depends}, ${perl:Depends}, qt3-tools (= ${Source-Version}), xlibs-dev (>= 4.1.0), libmng-dev (>= 1.0.3), libpng-dev, libjpeg62-dev, zlib1g-dev, libfreetype6-dev, libc6-dev, libqt3-helper (= ${Source-Version}), libqt3 (= ${Source-Version})
Suggests: libqt3-mysql, libqt3-psql, libqt3-odbc, qt3-doc, tmake
Conflicts: libqt2-dev, libqt-dev
Description: Qt GUI development files
 Qt is a complete framework for development of GUI, based on a set of
 C++ classes.  The header files, and *moc*, Qt's own Meta Object Compiler, 
 are included.

Package: qt3-tools
Architecture: any
Section: devel
Priority: extra
Replaces: kde-designer, qt-designer, uic, qt3-doc (<< 2:3.0.2-20020306-1)
Depends: ${shlibs:Depends}
Recommends: qt3-doc, libqt3-dev, libqt3-mt-dev
Conflicts: kde-designer, qt-designer, uic
Provides: uic, kde-designer, qt-designer
Suggests: libqt3-mysql, libqt3-psql, libqt3-odbc, libqt3-mt-mysql, libqt3-mt-psql, libqt3-mt-odbc
Description: Qt GUI Designer and other Qt3 based tools
 This package contains Qt Designer, Qt Linguist, and other tools out of
 the Qt3 toolset.

Package: qt3-doc
Architecture: all
Section: doc
Priority: extra
Replaces: qt-doc
Suggests: libqt3-dev, www-browser, qt3-tools
Conflicts: qt-doc
Description: Tutorial and reference documentation and examples for Qt
 This package contains examples, a tutorial, reference documentation and
 all of the man pages for Qt.
 .
 Qt is a complete framework for development of GUI, based on a set of
 C++ classes.  This package contains a rich set of examples as well as a
 complete tutorial and reference documentation for it.

=== debian/rules ===
#!/usr/bin/make -f

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

# build variables
export QTDIR=$(shell pwd)/qt-build-dir
OLD_LD_LIBRARY_PATH := $(LD_LIBRARY_PATH)
export LD_LIBRARY_PATH=$(OLD_LD_LIBRARY_PATH):$(QTDIR)/lib

# define BUILD_PATH
export BUILD_PATH=$(shell pwd)

YACC="byacc -d"
DEB_BUILD_GNU_ARCH  ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

# check if xinerama should be enabled or not
ifeq ($(DEB_BUILD_GNU_TYPE),i386-linux)
  XINERAMA=-xinerama
else
  XINERAMA=-no-xinerama
endif
    
# build variables (directorys)
DEBIAN = $(shell pwd)/debian
P_LIBS = $(DEBIAN)/libqt3
P_DOC = $(DEBIAN)/qt3-doc
P_DEV = $(DEBIAN)/libqt3-dev
P_TOOLS = $(DEBIAN)/qt3-tools

TMP_INSTALL = $(DEBIAN)/tmp-install

BUILD_DIR = $(BUILD_PATH)/qt-build-dir

CONFIGURE_OPTS = -prefix "/usr" -docdir "/usr/share/doc/qt3-doc" -headerdir "/usr/include/qt" -datadir "/usr/share/qt" -qt-gif -system-zlib \
		 -system-libpng -system-libjpeg -system-libmng -qt-imgfmt-jpeg -qt-imgfmt-png -qt-imgfmt-mng -plugin-sql-mysql -plugin-sql-odbc \
		 -plugin-sql-psql -plugin-style-windows -plugin-style-compact -plugin-style-platinum -plugin-style-sgi -plugin-style-cde -stl \
		 $(XINERAMA) -system-nas-sound -cups -I/usr/include/mysql -I/usr/include/postgresql -I/usr/include/postgresql/server -sm \
		 -no-g++-exceptions -platform linux-g++
						   
build: patch libqt-thread-stamp libqt-thread-stamp-static libqt-nothread-stamp libqt-nothread-static-stamp

	touch build-stamp

libqt-thread-stamp:

	dh_testdir

	if [ -f "Makefile.cvs" ]; then make -f Makefile.cvs || true; fi

	@echo "QTDIR set to ${QTDIR}"

ifeq ($(DEB_BUILD_GNU_ARCH),alpha)
	cp debian/maintain/qmake-alpha.conf mkspecs/linux-g++/qmake.conf
endif
		
ifeq ($(DEB_BUILD_GNU_ARCH),hppa)
	cp debian/maintain/qmake-hppa.conf mkspecs/linux-g++/qmake.conf
endif

	rm -rf $(BUILD_DIR)
	install -d $(BUILD_DIR)

	cd $(BUILD_DIR) && echo yes | ../configure $(CONFIGURE_OPTS) -thread -plugindir "/usr/lib/qt3/plugins-mt" -enable-opengl

	# proceed
	cd $(BUILD_DIR) && make all
	cd $(BUILD_DIR) && make INSTALL_ROOT=$(TMP_INSTALL) install
	
	cp bin/qtrename140 $(TMP_INSTALL)/usr/bin/
	cp bin/qt20fix $(TMP_INSTALL)/usr/bin/
	cp bin/findtr $(TMP_INSTALL)/usr/bin/
	install -D $(BUILD_DIR)/.qmake.cache $(TMP_INSTALL)/usr/share/doc/qt3-doc/.qmake.cache

	touch libqt-thread-stamp

libqt-thread-stamp-static:

	dh_testdir

	rm -rf $(BUILD_DIR)
	install -d $(BUILD_DIR)
	
	cd $(BUILD_DIR) && echo yes | ../configure $(CONFIGURE_OPTS) -thread -static -enable-opengl -qt-sql-mysql \
	                                           -qt-sql-odbc -qt-sql-psql -qt-style-windows -qt-style-compact \
						   -qt-style-platinum -qt-style-sgi -qt-style-cde

	cd $(BUILD_DIR) && make sub-src
	cd $(BUILD_DIR) && make -C src INSTALL_ROOT=$(TMP_INSTALL) install_target
	
	touch libqt-thread-stamp-static

libqt-nothread-stamp:

	dh_testdir

	rm -rf $(BUILD_DIR)
	install -d $(BUILD_DIR)
	
	cd $(BUILD_DIR) && echo yes | ../configure $(CONFIGURE_OPTS) -plugindir "/usr/lib/qt3/plugins"
	
	cd $(BUILD_DIR) && make sub-src sub-plugins
	cd $(BUILD_DIR) && make -C src INSTALL_ROOT=$(TMP_INSTALL) install_target
	cd $(BUILD_DIR) && make INSTALL_ROOT=$(TMP_INSTALL) plugins-install
	
	touch libqt-nothread-stamp

libqt-nothread-static-stamp:

	dh_testdir

	rm -rf $(BUILD_DIR)
	install -d $(BUILD_DIR)
		
	cd $(BUILD_DIR) && echo yes | ../configure $(CONFIGURE_OPTS) -static -qt-sql-odbc -qt-sql-psql \
						   -qt-sql-mysql -qt-style-windows -qt-style-compact \
						   -qt-style-platinum -qt-style-sgi -qt-style-cde

	cd $(BUILD_DIR) && make sub-src
	cd $(BUILD_DIR) && make -C src INSTALL_ROOT=$(TMP_INSTALL) install_target
	
	touch libqt-nothread-static-stamp

clean: unpatch

	dh_testdir

	-rm -rf debian/patched
	-rm -rf build-stamp libqt-thread-stamp libqt-thread-stamp-static \
	        libqt-nothread-stamp libqt-nothread-static-stamp
					
	-chmod -R u+w *
	-chmod a-x doc/html/layout?.png

	-rm -f `find ./ -name "*.moc"`
	-rm -f `find ./ -name "*.o"`

	find -name Makefile | while read p; do [ -f $$p.in ] && rm -f $$p || true; done

	-rm -rf mkspecs/default bin/assistant bin/designer bin/createcw bin/uic bin/qmake bin/l* \
		bin/qconfig bin/qembed bin/qtconfig bin/moc bin/qm2ts bin/mergetr bin/makeqpf \
		bin/msg2qm extensions/xt/src/.obj

	-rm -rf $(TMP_INSTALL)
	
	dh_clean

patch: patch-stamp
patch-stamp:
	test -d debian/patched || install -d debian/patched
	@echo "Patches applied in the Debian version of ${PACKAGE}:" > $@T
	@for patch in `cat debian/patches/00list`; do \
                stamp=debian/patched/$$patch.dpatch; \
                patch=debian/patches/$$patch.dpatch; \
                author=`sed -n "s,^## *.*dpatch by *,,p" $$patch`; \
                test -x $$patch || chmod +x $$patch; \
		if test -f $$stamp; then \
                        echo "$$patch already applied."; \
                        echo -e "\n$$patch ($$author):" >> $@T; \
                        sed -n 's/^## *DP: */  /p' $$patch >> $@T; \
                else \
                        echo -n "applying patch $$patch..."; \
                        if $$patch -patch >$$stamp.new 2>&1; then \
                                mv $$stamp.new $$stamp; \
                                touch $$stamp; \
                                echo -e "\n$$patch ($$author):" >> $@T; \
                                sed -n 's/^## *DP: */  /p' $$patch >> $@T; \
                                echo " ok."; \
                        else \
                                echo " failed."; \
                                exit 1; \
                        fi; \
                fi; \
	done
	mv -f $@T $@

unpatch:

	@for patch in `tac debian/patches/00list`; do \
                stamp=debian/patched/$$patch.dpatch; \
                patch=debian/patches/$$patch.dpatch; \
                test -x $$patch || chmod +x $$patch; \
                if test -f $$stamp; then \
                        echo -n "reverting patch $$patch..."; \
                        if $$patch -unpatch 2>&1 >/dev/null; then \
                                rm -f $$stamp; \
                                echo " ok."; \
                        else \
                                echo " failed."; \
                                exit 1; \
                        fi; \
                fi; \
	done
	
	rm -f patch-stamp 

binary-indep: build

	# Build architecture-independent files here.

	dh_testdir
	dh_testroot
	dh_clean -i
	dh_installdirs -i
	dh_install -pqt3-doc --sourcedir=debian/tmp-install

	find doc/man -path \*/CVS -prune -o -print | cpio -pmd $(P_DOC)/usr/share/doc/qt3-doc/
	find examples -path \*/CVS -prune -o -print | cpio -pmd $(P_DOC)/usr/share/doc/qt3-doc/
	find tutorial -path \*/CVS -prune -o -print | cpio -pmd $(P_DOC)/usr/share/doc/qt3-doc/
	
	(cd $(P_DOC)/usr/share/doc/qt3-doc && tar -czvf	examples.tgz examples)
	rm -rf $(P_DOC)/usr/share/doc/qt3-doc/examples
	
	(cd $(P_DOC)/usr/share/doc/qt3-doc && tar -czvf ftutorial.tgz tutorial)
	rm -rf $(P_DOC)/usr/share/doc/qt3-doc/tutorial
			
	-rm -f `find $(P_DOC)/usr/share/doc/qt3-doc/ -name "*.o"`
	find $(P_DOC) -type f -perm +0100 | xargs --no-run-if-empty rm -f
	cd $(P_DOC)/usr/share/doc/libqt3 && ln -s ../qt3-doc/doc .

	dh_installdocs -i

	mv $(P_DOC)/usr/share/doc/qt3-doc/doc/man/man3 $(P_DOC)/usr/share/man/
	-rm -rf $(P_DOC)/usr/share/doc/qt3-doc/doc/man

	dh_installchangelogs -i changes-3.1.1
	cp debian/README.Debian $(P_DOC)/usr/share/doc/qt3-doc/
	dh_compress -i -Xhtml/
	dh_link -i
	
	# the overrides file
	install -d $(P_DOC)/usr/share/lintian/overrides/
	cp debian/overrides/qt3-doc $(P_DOC)/usr/share/lintian/overrides/
	
	dh_fixperms -i
	
	find $(P_DOC)/usr/share/doc -type f | xargs chmod 644

	# proceed
	dh_installdeb -i
	dh_perl -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i
	
binary-arch: build
